Index: /extensions/sobre/language/en_UK/theme.lang.php
===================================================================
--- /extensions/sobre/language/en_UK/theme.lang.php	(revision 5581)
+++ /extensions/sobre/language/en_UK/theme.lang.php	(revision 5582)
@@ -1,4 +1,5 @@
 <?php
 
+/* Admin */
 $lang['Display page banner on home page'] = 'Display page banner on home page';
 $lang['Display page banner on categories pages'] = 'Display page banner on categories pages';
@@ -7,3 +8,7 @@
 $lang['Theme by'] = 'Thème Black & White By <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
 
+/* picture.tpl */
+$lang['Viewing_name'] = 'You viewing';
+$lang['comment'] = '';
+
 ?>
Index: /extensions/sobre/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5581)
+++ /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5582)
@@ -1,3 +1,5 @@
 <?php
+
+/* Admin */
 $lang['Display page banner on home page'] = 'Afficher la bannière sur la page d\'accueil';
 $lang['Display page banner on categories pages'] = 'Afficher la bannière sur la page des catégories';
@@ -6,3 +8,6 @@
 $lang['Theme by'] = 'Thème Sobre par <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
 
+/* picture.tpl */
+$lang['Viewing_name'] = 'Vous regardez';
+$lang['comment'] = '';
 ?>
Index: /extensions/sobre/template/include/autosize.inc.tpl
===================================================================
--- /extensions/sobre/template/include/autosize.inc.tpl	(revision 5582)
+++ /extensions/sobre/template/include/autosize.inc.tpl	(revision 5582)
@@ -0,0 +1,13 @@
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+{known_script id="jquery.autogrow" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.autogrow-textarea.js"}
+
+{* Auto size and auto grow textarea *}
+{literal}
+<script type="text/javascript">
+  jQuery().ready(function(){
+    jQuery('textarea').css('overflow-y', 'hidden');
+    // Auto size and auto grow for all text area
+    jQuery('textarea').autogrow();
+  });
+</script>
+{/literal}
Index: /extensions/sobre/template/picture.tpl
===================================================================
--- /extensions/sobre/template/picture.tpl	(revision 5582)
+++ /extensions/sobre/template/picture.tpl	(revision 5582)
@@ -0,0 +1,328 @@
+{* $Id: picture.tpl By GOTCHA $Ver: 2010-04-01 *}
+
+{* Example of resizeable *}
+{*
+{include file='include/autosize.inc.tpl'}
+*}
+
+{if isset($errors)}
+<div class="errors">
+  <ul>
+    {foreach from=$errors item=error}
+    <li>{$error}</li>
+    {/foreach}
+  </ul>
+</div>
+{/if}
+
+{if isset($infos)}
+<div class="infos">
+  <ul>
+    {foreach from=$infos item=info}
+    <li>{$info}</li>
+    {/foreach}
+  </ul>
+</div>
+{/if}
+
+{if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
+
+<div id="imageHeaderBar">
+  <div class="browsePath">
+  	<a href="{$U_HOME}">
+          <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
+    {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE}{/if}
+  {$LEVEL_SEPARATOR} <small>{'Viewing_name'|@translate}:</small> {$current.TITLE}
+  </div>
+  <div class="imageNumber">{$PHOTO}</div>
+  {if $SHOW_PICTURE_NAME_ON_TITLE }
+  <h2>{$current.TITLE}</h2>
+  {/if}
+</div>
+
+<div id="imageToolBar">
+  <div class="randomButtons">
+    {if isset($U_SLIDESHOW_START) }
+      <a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"></a>
+    {/if}
+    {if isset($U_SLIDESHOW_STOP) }
+      <a href="{$U_SLIDESHOW_STOP}" title="{'stop the slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'stop the slideshow'|@translate}"></a>
+    {/if}
+    {if isset($U_METADATA) }
+      <a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata"></a>
+    {/if}
+    {if isset($current.U_DOWNLOAD) }
+      <a href="{$current.U_DOWNLOAD}" title="{'download'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}"></a>
+    {/if}
+
+    {if isset($favorite) }
+      <a href="{$favorite.U_FAVORITE}" title="{$favorite.FAVORITE_HINT}"><img src="{$favorite.FAVORITE_IMG}" class="button" alt="favorite" title="{$favorite.FAVORITE_HINT}"></a>
+    {/if}
+    {if !empty($U_SET_AS_REPRESENTATIVE) }
+      <a href="{$U_SET_AS_REPRESENTATIVE}" title="{'representative'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/representative.png" class="button" alt="{'representative'|@translate}"></a>
+    {/if}
+    {if isset($U_ADMIN) }
+      <a href="{$U_ADMIN}" title="{'edit'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"></a>
+    {/if}
+    {if isset($U_CADDIE) }{*caddie management BEGIN*}
+<script type="text/javascript">
+{literal}function addToCadie(aElement, rootUrl, id)
+{
+if (aElement.disabled) return;
+aElement.disabled=true; 
+var y = new PwgWS(rootUrl);
+
+y.callService(
+  "pwg.caddie.add", {image_id: id} ,
+  {
+    onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
+    onSuccess: function(result) { aElement.disabled = false; }
+  }
+  );
+}{/literal}
+</script>
+      <a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"></a>
+    {/if}{*caddie management END*}
+	{if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
+  </div>
+  {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
+</div> <!-- imageToolBar -->
+
+<div id="theImage">
+<p></p>
+{$ELEMENT_CONTENT}
+<table>
+  <tr>
+    <td>
+	  {if isset($COMMENT_IMG)}
+	    <p>{$COMMENT_IMG}</p>
+	  {/if}
+	</td>
+  </tr>
+</table>
+
+{if isset($U_SLIDESHOW_STOP) }
+  <p>
+    [ <a href="{$U_SLIDESHOW_STOP}">{'stop the slideshow'|@translate}</a> ]
+  </p>
+{/if}
+
+</div>
+
+{if $DISPLAY_NAV_THUMB}
+  {if isset($previous) }
+    <a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">
+      <img src="{$previous.THUMB_SRC}" alt="{$previous.TITLE}">
+    </a>
+  {/if}
+  {if isset($next) }
+    <a class="navThumb" id="linkNext" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">
+      <img src="{$next.THUMB_SRC}" alt="{$next.TITLE}">
+    </a>
+  {/if}
+{/if}
+
+<table id="standard" class="infoTable" summary="{'Some info about this picture'|@translate}">
+
+   <tr>
+    {if $display_info.author}
+	  <td id="Author" class="label">{'Author'|@translate}</td>
+      <td id="Author" class="value"><p>{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</p></td>
+	{/if}
+	{if $display_info.licence}
+      <td class="label">{if isset($COMMENT_LIC)}{'Licence_area'|@translate}{/if}</td>
+      <td class="value"><p>{$COMMENT_LIC}</p></td>
+	{/if}
+  </tr>
+
+  <tr>
+	{if $display_info.created_on}
+      <td id="datecreate" class="label">{'Created on'|@translate}</td>
+      <td id="datecreate" class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
+	{/if}
+    {if $display_info.posted_on}
+      <td id="datepost" class="label">{'Posted on'|@translate}</td>
+      <td id="datepost" class="value">{$INFO_POSTED_DATE}</td>
+    {/if}
+  </tr>
+
+  <tr>
+    {if $display_info.tags}
+      <td id="Tags" class="label">{'Tags'|@translate}</td>
+      <td id="Tags" class="value">
+	    <p>
+        {if isset($related_tags)}
+          {foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}
+          <a href="{$tag.URL}" {if !empty($tag.radu_class)}class="{$tag.radu_class}"{/if}>{$tag.name}</a>{/foreach}
+		{/if}
+		</p>
+	  </td> 
+	{/if}
+    {if $display_info.categories}
+      <td id="Categories" class="label">{'Categories'|@translate}</td>
+      <td id="Categories" class="value">
+	    <p>
+        {if isset($related_categories)}
+          <ul>
+            {foreach from=$related_categories item=cat}
+              <li>{$cat}</li>
+            {/foreach}
+          </ul>
+         {/if}
+	    </p>
+	  </td>
+	{/if}
+  </tr>
+
+  <tr>
+    {if $display_info.file}
+      <td id="File" class="label">{'File'|@translate}</td>
+      <td id="File" class="value"><p>{$INFO_FILE}, <small>
+	    {if $display_info.dimensions}{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS}{else}{'N/A'|@translate}{/if}, {/if}
+		{if $display_info.filesize}{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}{/if}
+	  </small></p></td>
+	{/if}
+    {if $display_info.visits}
+      <td id="Visits" class="label">{'Visits'|@translate}</td>
+      <td id="Visits"class="value">
+        <p>
+          {$INFO_VISITS}
+          {if $display_info.average_rate and isset($rate_summary) }, <span id="Average" "ratingSummary">
+            {if $rate_summary.count}
+			  {assign var='rate_text' value='%.2f (rated %d times)'|@translate }
+			  {$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count) }
+		    {else}
+			  {'no rate'|@translate}
+            {/if}
+		  {/if}
+        </p>
+      </td>
+    {/if}
+  </tr>
+
+  <tr>
+    {if isset($rating)}
+	  <td id="rating" class="label">
+		<span id="updateRate">
+        {if isset($rating.USER_RATE)}
+          {'Update your rating'|@translate}
+        {else}
+          {'Rate this picture'|@translate}
+        {/if}
+        </span>
+	  </td>
+	  <td id="rating" class="value">
+        <p>
+		<form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
+		<div>&nbsp;
+		  {foreach from=$rating.marks item=mark name=rate_loop}
+		  {if !$smarty.foreach.rate_loop.first} | {/if}
+		  {if isset($rating.USER_RATE) && $mark==$rating.USER_RATE}
+		    <input type="button" name="rate" value="{$mark}" class="rateButtonSelected" title="{$mark}">
+		  {else}
+			<input type="submit" name="rate" value="{$mark}" class="rateButton" title="{$mark}">
+		  {/if}
+		  {/foreach}
+			<script type="text/javascript" src="{$ROOT_URL}themes/default/js/rating.js"></script>
+			<script type="text/javascript">
+			makeNiceRatingForm( {ldelim}rootUrl: '{$ROOT_URL|@escape:"javascript"}', image_id: {$current.id},
+			updateRateText: "{'Update your rating'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
+			ratingSummaryText: "{'%.2f (rated %d times)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary") {rdelim} );
+			</script>
+		  </div>
+		</form>
+		<p>
+	  </td>
+    {/if}
+    {if $display_info.privacy_level and isset($available_permission_levels) }
+	  <td id="Privacy" class="label">{'Privacy level'|@translate}:</td>
+	  <td id="Privacy" class="value"> 
+		<script type="text/javascript">
+		{literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
+		{
+		selectElement.disabled = true;
+		var y = new PwgWS(rootUrl);
+		y.callService(
+			"pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
+			{
+				method: "POST",
+				onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
+				onSuccess: function(result) { selectElement.disabled = false; }
+			}
+			);
+		}{/literal}
+		</script>
+			<select onchange="setPrivacyLevel(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}, this.options[selectedIndex].value)">
+			{foreach from=$available_permission_levels item=level}
+				<option value="{$level}"{if $current.level==$level} selected="selected"{/if}>{$pwg->l10n($pwg->sprintf('Level %d',$level))}</option>
+			{/foreach}
+			</select>
+	  </td>
+    {/if}
+  </tr>
+</table>
+
+<p>{if isset($metadata)}</p>
+<table id="Metadata" class="infoTable2" summary="{'Some more (technical) info about this picture'|@translate}">
+{foreach from=$metadata item=meta}
+  <tr id="{$meta.TITLE}">
+    <th colspan="2">{$meta.TITLE}</th>
+  </tr>
+  {foreach from=$meta.lines item=value key=label}
+  <tr id="{$label}" >
+    <td class="label">{$label}</td>
+    <td class="value">{$value}</td>
+  </tr>
+  {/foreach}
+{/foreach}
+</table>
+{/if}
+
+
+<hr class="separation">
+
+{if isset($COMMENT_COUNT)}
+<div id="comments">
+  {if $COMMENT_COUNT > 0}
+		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
+  {/if}
+  {if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+
+	{if isset($comments)}
+		{include file='comment_list.tpl'}
+	{/if}
+
+	{if isset($comment_add)}
+	<form  method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
+	  <fieldset>
+		<legend>{'Add a comment'|@translate}</legend>
+        <table class="commentr">
+	      <tr>
+	        <td>
+		      <p>
+              {if $comment_add.SHOW_AUTHOR}
+		        <label>{'Author'|@translate}
+                  <input type="text" name="author">
+                </label>
+              {/if}
+              <br />
+              </p>
+              <input type="hidden" name="key" value="{$comment_add.KEY}">
+              <input class="submit" type="submit" value="{'Submit'|@translate}">
+	        </td>
+            <td width="100%" align="center">
+              <textarea name="content" id="contentid" rows="5" cols="62" value="Votre commentaire ici. Merci" onFocus="if(this.value=='Votre commentaire ici. Merci')this.value=''">Votre commentaire ici. Merci{$comment_add.CONTENT}
+             </textarea>
+            </td>
+	        <td>
+             {'comment'|@translate}<br />
+            </td>
+	      </tr>
+      </table>
+	  </fieldset>
+	</form>
+    {/if}
+  </div>
+{/if} {*comments*}
+
+{if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}
Index: /extensions/sobre/themeconf.inc.php
===================================================================
--- /extensions/sobre/themeconf.inc.php	(revision 5581)
+++ /extensions/sobre/themeconf.inc.php	(revision 5582)
@@ -2,5 +2,5 @@
 
 /*
-Theme Name: Sobre
+Theme Name: Sobre i é t
 Version: 0.1a
 Description: Black and white theme, based on Yoga/dark.
@@ -16,12 +16,11 @@
 );
 
+load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
+
 add_event_handler('loc_begin_page_header', 'set_sbre_header');
-
 function set_sbre_header()
 {
   global $page, $conf, $template;
-
   $config = unserialize($conf['Sobre']);
-
   if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
   {
@@ -36,5 +35,4 @@
     $header = $config['other'];
   }
-
   $template->assign('display_sbre_banner', $header);
 }