Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5589)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5590)
@@ -766,3 +766,4 @@
 $lang['There is no other plugin available.'] = 'Il n\'y a pas d\'autre plugin disponible.';
 $lang['There is no other theme available.'] = 'Il n\'y a pas d\'autre thème disponible.';
+$lang['delete'] = 'effacer';
 ?>
Index: /trunk/language/fr_FR/install.lang.php
===================================================================
--- /trunk/language/fr_FR/install.lang.php	(revision 5589)
+++ /trunk/language/fr_FR/install.lang.php	(revision 5590)
Index: /trunk/tools/translation_validated.inc.php
===================================================================
--- /trunk/tools/translation_validated.inc.php	(revision 5589)
+++ /trunk/tools/translation_validated.inc.php	(revision 5590)
@@ -1,4 +1,126 @@
 <?php
 $validated_keys = array(
+  'ar_SA' => array(
+	'',
+	),
+	
+  'cs_CZ' => array(
+	'',
+	),
+	
+  'da_DK' => array(
+ 	'%d Kb',
+	'%d hit',
+	'%d hits',
+	'Connection settings',
+	'Login',
+	'Display',
+	'Filter',
+	'Links',
+	'N/A',
+	'Password',
+	'Quick connect',
+	'RSS feed',
+	'Reset',
+	'Tag',
+	'Tags',
+	'Webmaster',
+	'Administration',
+	'caddie',
+	'download',
+	'Logout',
+	'Powered by',
+	'Auto login',
+	'slideshow',
+	'SQL queries in',
+	'Thumbnails',
+	'Menu',
+	'IP: %s',
+	'Browser: %s',
+	'Email: %s',
+	'Admin: %s',
+	'Rank',
+	'cloud',
+	'Pause of slideshow',
+	'Database type',
+	'Installation',
+	'Webmaster login',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
+	'Webmaster password',
+	),	
+
+  'de_DE' => array(
+ 	'%d Kb',
+	'Filter',
+	'Links',
+	'Tag',
+	'Tags',
+	'Webmaster',
+	'Administration',
+	'Thumbnails',
+	'IP: %s',
+	'Browser: %s',
+	'Name',
+	'Permalink',
+	'Permalinks',
+	'Plugins',
+	'Position',
+	'Status',
+	'Version',
+	'',
+	'High definition',
+	'Parameter',
+	'private',
+	'Thumbnail',
+	'Simulation',
+	'Upload',
+	'user_status_admin',
+	'user_status_webmaster',
+	'IP',
+	'Privacy level',
+	'Demo',
+	'Support',
+	'Bugs',
+	'Downloads',
+	'Installation',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
+	'Upgrade',
+	'Download,',
+	'Piwigo Uploader',
+	'[Simulation]',
+	),
+
+  'es_AR' => array(
+	'',
+	),
+
+  'es_ES' => array(
+    'Tag',
+    'Tags',
+	'IP: %s',
+	'Email: %s',
+	'No',
+	'%d tag',
+	'%d tags',
+	'Plugins',
+	'is_high_disabled',
+	'nbm_content_goto_2',
+	'nbm_content_hello_2',
+	'site_local',
+	'update_simulation_title',
+	'IP',
+	'Level 8',
+	'DEMO',
+	'BUGS',
+	'step1_host_info',
+	'',
+	'General',
+	'Local',
+	'Demo',
+	'Bugs',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
+	'Piwigo Uploader',
+	),
+	
   'fr_FR' => array(
     'Dimensions',
@@ -74,34 +196,20 @@
 	'Piwigo Uploader',
 	'localhost, sql.multimania.com, toto.freesurf.fr',
-	'',
+	'Email',
 	'',
     ),
-  'es_ES' => array(
-    'Tag',
-    'Tags',
-	'IP: %s',
-	'Email: %s',
-	'No',
-	'%d tag',
-	'%d tags',
-	'Plugins',
-	'is_high_disabled',
-	'nbm_content_goto_2',
-	'nbm_content_hello_2',
-	'site_local',
-	'update_simulation_title',
-	'IP',
-	'Level 8',
-	'DEMO',
-	'BUGS',
-	'step1_host_info',
-	'',
-	'General',
-	'Local',
-	'Demo',
-	'Bugs',
-	'localhost, sql.multimania.com, toto.freesurf.fr',
-	'Piwigo Uploader',
-	),
+
+  'hr_HR' => array(
+	'',
+	),
+	
+  'hu_HU' => array(
+	'',
+	),
+
+  'it_IT' => array(
+	'',
+	),
+	
   'ja_JP' => array(
  	'About',
@@ -114,84 +222,5 @@
 	'',
 	),
-  'de_DE' => array(
- 	'%d Kb',
-	'Filter',
-	'Links',
-	'Tag',
-	'Tags',
-	'Webmaster',
-	'Administration',
-	'Thumbnails',
-	'IP: %s',
-	'Browser: %s',
-	'Name',
-	'Permalink',
-	'Permalinks',
-	'Plugins',
-	'Position',
-	'Status',
-	'Version',
-	'',
-	'High definition',
-	'Parameter',
-	'private',
-	'Thumbnail',
-	'Simulation',
-	'Upload',
-	'user_status_admin',
-	'user_status_webmaster',
-	'IP',
-	'Privacy level',
-	'Demo',
-	'Support',
-	'Bugs',
-	'Downloads',
-	'Installation',
-	'localhost, sql.multimania.com, toto.freesurf.fr',
-	'Upgrade',
-	'Download,',
-	'Piwigo Uploader',
-	'[Simulation]',
-	),
-  'da_DK' => array(
- 	'%d Kb',
-	'%d hit',
-	'%d hits',
-	'Connection settings',
-	'Login',
-	'Display',
-	'Filter',
-	'Links',
-	'N/A',
-	'Password',
-	'Quick connect',
-	'RSS feed',
-	'Reset',
-	'Tag',
-	'Tags',
-	'Webmaster',
-	'Administration',
-	'caddie',
-	'download',
-	'Logout',
-	'Powered by',
-	'Auto login',
-	'slideshow',
-	'SQL queries in',
-	'Thumbnails',
-	'Menu',
-	'IP: %s',
-	'Browser: %s',
-	'Email: %s',
-	'Admin: %s',
-	'Rank',
-	'cloud',
-	'Pause of slideshow',
-	'Database type',
-	'Installation',
-	'Webmaster login',
-	'localhost, sql.multimania.com, toto.freesurf.fr',
-	'Webmaster password',
-	),	
+
   'nl_NL' => array(
  	'%d Kb',
@@ -252,4 +281,21 @@
 	'Download,',
 	),
+
+  'pl_PL' => array(
+	'',
+	),
+
+  'pt_BR' => array(
+	'',
+	),
+	
+  'pt_PT' => array(
+	'',
+	),
+
+  'ru_RU' => array(
+	'',
+	),
+	
   'sr_RS' => array(
  	'%d Kb',
@@ -258,7 +304,5 @@
 	'IP: %s',
 	),
-  'pl_PL' => array(
-	'',
-	),
+	
   'tr_TR' => array(
  	'%d hit',
@@ -268,4 +312,13 @@
 	'',
 	),
+	
+  'vi_VN' => array(
+	'',
+	),
+	
+  'zh_CN' => array(
+	'',
+	),
+	
   );
 ?>