Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5597)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5598)
@@ -214,5 +214,5 @@
             - Bei der Registrierung: Erzeugen Sie eine E-Mail Validierung mit direkter Verbindung, sie dem neuen Anwender seiner Nicht-Validierung und Integration von ihm mit der Gruppe "Warten"<br>
             - Bei der Validierung: Switch automatisch zur Gruppe "Warten" der Gruppe "Validiert", die den Zugang zu privaten Gruppen bietet<br><br>
-            <span style="font-style:italic">Warnung: Im Standard-Betrieb, der "Gast" sieht nur den öffentlichen Kategorien, ohne Angaben Nachricht.</span>
+            <b>Warnung: Im Standard-Betrieb, der "Gast" sieht nur den öffentlichen Kategorien, ohne Angaben Nachricht.</b>
             </li><br><br>
             <li>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5597)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5598)
@@ -211,5 +211,5 @@
             - At registration: Generate an email validation with direct link, inform the new user of its non-validation and integrate him to the group "Waiting"<br>
             - At validation: Switch automatically group "Waiting" to group "Validated", which provides access to private categories<br><br>
-            <span style="font-style:italic">Recall: In standard operation, the "Guest" only sees the public categories, without information message.</span>
+            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
             </li><br><br>
             <li>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5597)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5598)
@@ -213,5 +213,5 @@
             - En el registro: Generar una validación de correo electrónico con enlace directo, informar al nuevo usuario de su falta de validación y de integrarlo al grupo "Espera"<br>
             - En la validación: cambiar automáticamente de grupo "Espera" al grupo "Validado", que proporciona acceso a categorías particulares<br><br>
-            <span style="font-style:italic">Recuerde: En funcionamiento normal, el "Invitado" sólo ve las categorías de público, sin mensaje de información.</span>
+            <b>Recuerde: En funcionamiento normal, el "Invitado" sólo ve las categorías de público, sin mensaje de información.</b>
             </li><br><br>
             <li>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5597)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5598)
@@ -210,5 +210,5 @@
             - A l\'inscription : Générer un email avec lien direct de validation, informer le nouvel utilisateur de sa non-validation et le rattacher au groupe "Attente"<br>
             - A la validation : Le passer automatiquement du groupe "Attente" au groupe "Validés", qui lui permet d\'accéder normalement aux catégories privées<br><br>
-            <span style="font-style:italic">Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</span>
+            <b>Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</b>
             </li><br><br>
             <li>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5597)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5598)
@@ -213,5 +213,5 @@
             - Al momento dell\'iscrizione: Generare un\'Email di convalida con il link diretto, informare il nuovo utente della sua "non convalidazione" e integrarlo lo al gruppo "Attesa"<br>
             - All convalida: Spostarlo automaticamente dal gruppo "Attesa" al gruppo "Convalidati", che permette l\'accesso alle categorie private<br><br>
-            <span style="font-style:italic">Nota: Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</span>
+            <b>Nota: Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</b>
             </li><br><br>
             <li>