Index: extensions/Register_FluxBB/tags/2.2.0/admin/info.tpl
===================================================================
--- extensions/Register_FluxBB/tags/2.2.0/admin/info.tpl	(revision 5608)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-  
-  </ul>
-  <h2>{'Tab_Info'|@translate}</h2>
-</div>
-
-<div align="left" style="margin-left: 1em; margin-right: 1em;">{'Register_FluxBB_Disclaimer'|@translate}</div>
Index: extensions/Register_FluxBB/tags/2.2.0/admin/manage.tpl
===================================================================
--- extensions/Register_FluxBB/tags/2.2.0/admin/manage.tpl	(revision 5608)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-  
-  </ul>
-  <h2>{'Tab_Manage'|@translate}</h2>
-</div>
-
-<br>
-
-<form method="post" action="">
-  <fieldset>
-  	<legend>{'Register_FluxBB_Config_Title'|@translate}</legend>
-    <div align="left">{'Register_FluxBB_Config_Disclaimer'|@translate}</div>
-    <ul>
-    	<li><label>{'Register_FluxBB_Prefix'|@translate}</label><br>
-    		<input type="text" name="FluxBB_prefix" size="20" style="text-align: center;" value={$FluxBB_PREFIX}><br>
-    	</li>
-      <br>
-    	<li><label>{'Register_FluxBB_Admin'|@translate}</label><br>
-    		<input type="text" name="FluxBB_admin" value={$FluxBB_ADMIN} size="20" style="text-align: center;"><br>
-    		<label>{'Register_FluxBB_User'|@translate}</label><br>
-    	</li>
-      <br>
-    	<li><label>{'Register_FluxBB_Guest'|@translate}</label><br>
-    		<input type="text" name="FluxBB_guest" value={$FluxBB_GUEST} size="20" style="text-align: center;"><br>
-    	</li>
-      <br>
-    	<li><label>{'Register_FluxBB_Del_Pt'|@translate}</label><br>
-        <input type="radio" value="true" {$FluxBB_DEL_PT_TRUE} name="FluxBB_del_pt">{'Register_FluxBB_Del_Pt_true'|@translate}<br>
-        <input type="radio" value="false" {$FluxBB_DEL_PT_FALSE} name="FluxBB_del_pt">{'Register_FluxBB_Del_Pt_false'|@translate}<br>
-    	</li>
-      <br>
-    	<li><label>{'Register_FluxBB_Confirm'|@translate}</label><br>
-        <input type="radio" value="true" {$FluxBB_CONFIRM_TRUE} name="FluxBB_confirm">{'Register_FluxBB_Confirm_true'|@translate}<br>
-        <input type="radio" value="false" {$FluxBB_CONFIRM_FALSE} name="FluxBB_confirm">{'Register_FluxBB_Confirm_false'|@translate}<br>
-    	</li>
-      <br>
-    	<li><label>{'Register_FluxBB_Details'|@translate}</label><br>
-        <input type="radio" value="true" {$FluxBB_DETAILS_TRUE} name="FluxBB_details">{'Register_FluxBB_Details_true'|@translate}<br>
-        <input type="radio" value="false" {$FluxBB_DETAILS_FALSE} name="FluxBB_details">{'Register_FluxBB_Details_false'|@translate}<br>
-    	</li>
-    </ul>
-    <br>
-  	{'Register_FluxBB_No_Reg_advise'|@translate}
-    <br>
-  	<div align="center"><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}></div>
-  </fieldset>
-</form>
Index: extensions/Register_FluxBB/tags/2.2.0/admin/migration.tpl
===================================================================
--- extensions/Register_FluxBB/tags/2.2.0/admin/migration.tpl	(revision 5608)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-
-  </ul>
-  <h2>{'Tab_Migration'|@translate}</h2>
-</div>
-
-<br>
-
-<form method="post" action="">
-  <fieldset>
-  	<legend>{'Register_FluxBB_Mig_Title'|@translate}</legend>
-  	<div align="left">{'Register_FluxBB_Mig_Text'|@translate}</div>
-    <br>
-  	<div align="center"><input onclick="return confirm('{'Are you sure?'|@translate}');" class="submit" type="submit" value="{'Register_FluxBB_Mig_Btn'|@translate}" name="Migration" {$TAG_INPUT_ENABLED}></div>
-    <br>
-  	<div align="center">{'Register_FluxBB_Mig_Disclaimer'|@translate}</div>
-  </fieldset>
-</form>
Index: extensions/Register_FluxBB/tags/2.2.0/admin/synchro.tpl
===================================================================
--- extensions/Register_FluxBB/tags/2.2.0/admin/synchro.tpl	(revision 5608)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-
-  </ul>
-  <h2>{'Tab_Synchro'|@translate}</h2>
-</div>
-
-<br>
-
-<form method="post" action="">
-  <fieldset>
-  	<legend>{'Register_FluxBB_Sync_Title'|@translate}</legend>
-  	<div align="left">{'Register_FluxBB_Sync_Text'|@translate}</div>
-    <br>
-  	<p><input {$FluxBB_CONFIRM_ENABLE} class="submit" type="submit" value="{'Register_FluxBB_Audit_Btn'|@translate}" name="Audit"> <input onclick="return confirm('{'Are you sure?'|@translate}');" {$FluxBB_CONFIRM_ENABLE} class="submit" type="submit" value="{'Register_FluxBB_Sync_Btn'|@translate}" name="Synchro" {$TAG_INPUT_ENABLED}></p>
-  </fieldset>
-</form>