Index: extensions/photoWidget/CHANGELOG
===================================================================
--- extensions/photoWidget/CHANGELOG	(revision 5611)
+++ extensions/photoWidget/CHANGELOG	(revision 5613)
@@ -1,2 +1,6 @@
+photoWidget 0.1.1 - 2010-04-03
+================================
+* Fix problem for generating xml when php short open tags are allowed.
+
 photoWidget 0.1.0 - 2010-04-03
 ================================
Index: extensions/photoWidget/MANIFEST
===================================================================
--- extensions/photoWidget/MANIFEST	(revision 5611)
+++ extensions/photoWidget/MANIFEST	(revision 5613)
@@ -1,38 +1,38 @@
-pwgPhotoWidget/CREDITS
-pwgPhotoWidget/MANIFEST
-pwgPhotoWidget/maintain.inc.php
-pwgPhotoWidget/rsync_exclude.txt
-pwgPhotoWidget/template/animation.tpl
-pwgPhotoWidget/template/liste.xml
-pwgPhotoWidget/template/admin.tpl
-pwgPhotoWidget/js/colorpicker.js
-pwgPhotoWidget/main.inc.php
-pwgPhotoWidget/default_values.inc.php
-pwgPhotoWidget/language/fr_FR/description.txt
-pwgPhotoWidget/language/fr_FR/plugin.lang.php
-pwgPhotoWidget/language/templates/plugin.lang.php
-pwgPhotoWidget/language/en_UK/plugin.lang.php
-pwgPhotoWidget/CHANGELOG
-pwgPhotoWidget/modele
-pwgPhotoWidget/include/photoWidgetConfig.class.php
-pwgPhotoWidget/include/photoWidgetContent.class.php
-pwgPhotoWidget/swf/photowidget.swf
-pwgPhotoWidget/admin.php
-pwgPhotoWidget/Makefile
-pwgPhotoWidget/COPYING
-pwgPhotoWidget/css/admin.css
-pwgPhotoWidget/css/imgs/colorpicker_hex.png
-pwgPhotoWidget/css/imgs/colorpicker_hsb_b.png
-pwgPhotoWidget/css/imgs/colorpicker_rgb_g.png
-pwgPhotoWidget/css/imgs/colorpicker_overlay.png
-pwgPhotoWidget/css/imgs/colorpicker_rgb_b.png
-pwgPhotoWidget/css/imgs/colorpicker_submit.png
-pwgPhotoWidget/css/imgs/colorpicker_select.gif
-pwgPhotoWidget/css/imgs/colorpicker_hsb_h.png
-pwgPhotoWidget/css/imgs/colorpicker_indic.gif
-pwgPhotoWidget/css/imgs/colorpicker_rgb_r.png
-pwgPhotoWidget/css/imgs/colorpicker_hsb_s.png
-pwgPhotoWidget/css/imgs/colorpicker_background.png
-pwgPhotoWidget/css/colorpicker.css
-pwgPhotoWidget/init.php
-pwgPhotoWidget/public.php
+photoWidget/CREDITS
+photoWidget/MANIFEST
+photoWidget/maintain.inc.php
+photoWidget/rsync_exclude.txt
+photoWidget/template/animation.tpl
+photoWidget/template/liste.xml
+photoWidget/template/admin.tpl
+photoWidget/js/colorpicker.js
+photoWidget/main.inc.php
+photoWidget/default_values.inc.php
+photoWidget/language/fr_FR/description.txt
+photoWidget/language/fr_FR/plugin.lang.php
+photoWidget/language/templates/plugin.lang.php
+photoWidget/language/en_UK/plugin.lang.php
+photoWidget/CHANGELOG
+photoWidget/modele
+photoWidget/include/photoWidgetConfig.class.php
+photoWidget/include/photoWidgetContent.class.php
+photoWidget/swf/photowidget.swf
+photoWidget/admin.php
+photoWidget/Makefile
+photoWidget/COPYING
+photoWidget/css/admin.css
+photoWidget/css/imgs/colorpicker_hex.png
+photoWidget/css/imgs/colorpicker_hsb_b.png
+photoWidget/css/imgs/colorpicker_rgb_g.png
+photoWidget/css/imgs/colorpicker_overlay.png
+photoWidget/css/imgs/colorpicker_rgb_b.png
+photoWidget/css/imgs/colorpicker_submit.png
+photoWidget/css/imgs/colorpicker_select.gif
+photoWidget/css/imgs/colorpicker_hsb_h.png
+photoWidget/css/imgs/colorpicker_indic.gif
+photoWidget/css/imgs/colorpicker_rgb_r.png
+photoWidget/css/imgs/colorpicker_hsb_s.png
+photoWidget/css/imgs/colorpicker_background.png
+photoWidget/css/colorpicker.css
+photoWidget/init.php
+photoWidget/public.php
Index: extensions/photoWidget/language/en_UK/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 5611)
+++ extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 5613)
@@ -20,4 +20,17 @@
 // +-----------------------------------------------------------------------+
 
-$lang['Vous can choose that mode for displaying one, severals or all categories'] = 'Vous can choose that mode for displaying one, severals or all categories';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'You can choose that mode for displaying one, severals or all categories';
+$lang['All categories'] = 'All categories';
+$lang['Animation size'] = 'Animation size';
+$lang['Animation background color'] = 'Animation background color';
+$lang['Color'] = 'Color';
+$lang['You choose that mode for'] = 'You choose that mode for';
+$lang['one category'] = 'one category';
+$lang['all categories'] = 'all categories';
+$lang['severals categories'] = 'severals categories';
+$lang['Width has been updated'] = 'Width has been updated';
+$lang['Height has been updated'] = 'Height has been updated';
+$lang['Background color of animation has been updated'] = 'Background color of animation has been updated';
+$lang['This widget requires Flash Player 9 or better'] = 'This widget requires Flash Player 9 or better';
 ?>
Index: extensions/photoWidget/main.inc.php
===================================================================
--- extensions/photoWidget/main.inc.php	(revision 5611)
+++ extensions/photoWidget/main.inc.php	(revision 5613)
@@ -22,5 +22,5 @@
 /*
 Plugin Name: photoWidget
-Version: 0.0.1
+Version: 0.1.1
 Description: add an amazing 3D animation for pictures
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=370
Index: extensions/photoWidget/template/admin.tpl
===================================================================
--- extensions/photoWidget/template/admin.tpl	(revision 5611)
+++ extensions/photoWidget/template/admin.tpl	(revision 5613)
@@ -40,5 +40,5 @@
 
 <p>
-{'Vous can choose that mode for displaying one, severals or all categories'|@translate}
+{'You can choose that mode for displaying one, severals or all categories'|@translate}
 <p>
 
Index: extensions/photoWidget/template/liste.xml
===================================================================
--- extensions/photoWidget/template/liste.xml	(revision 5611)
+++ extensions/photoWidget/template/liste.xml	(revision 5613)
@@ -1,3 +1,3 @@
-<?xml version="1.0"?>
+<?php echo '<?xml version="1.0"?>';?>
 <images>
   <?php