Index: trunk/language/hu_HU/help/photos_add_ftp.html
===================================================================
--- trunk/language/hu_HU/help/photos_add_ftp.html	(revision 5526)
+++ trunk/language/hu_HU/help/photos_add_ftp.html	(revision 5619)
@@ -3,9 +3,13 @@
 
 <ol>
-  <li>Hozz létre egy könyvtárat a számítógépen.</li>  
+  <li>Hozz létre egy könyvtárat a számítógépen.</li>
+    
   <li>Másolj be néhány képet a könyvtárba, a Weben engedélyezett méret figyelembe vételével. <em>Figyelem</em>: A fájl és mappa neve is csak betűket és számokat tartalmazhat az angol abc szerint, valamint a következő speciális karaktereket: "-", "_" vagy ".". Tilos szóközt (SPACE) valamint egyéb különleges karaktereket használni.</li>
+  
   <li>Másold fel FTP program segítségével a "galeries" mappába az így létrehozott mappádat.</li>
+  
   <li>Lépj be a galériába és menj az <span class="pwgScreen">Adminisztráció &raquo; Képek &raquo; Bélyegképek</span> oldalra, hogy létrehozd a hiányzó bélyegképeket.</li>
-  <li>Menj vissza az <span class="pwgScreen">Adminisztráció</span> menübe és kattints a szinkronizálás gombra.</li>
+  
+  <li>Menj vissza az <span class="pwgScreen">Adminisztráció</span> menübe és kattints a "Szinkronizálás" gombra.</li>
 </ol>
 
@@ -13,4 +17,5 @@
 
 </fieldset>
+
 <fieldset>
   <legend>Könyvtárak és fájlok szervezése</legend>
@@ -20,70 +25,67 @@
   <li>
 
-    <p>A mappák és kategóriák listája a "galeries" könyvtárban
-Itt következik a könyvtárfa egy kis galériáról,
-(de számos funkcióval): </p>
+    <p>A mappák és kategóriák listája a Piwigo "galeries" könyvtárban. 
+    Itt következik a könyvtárfa egy kis galériáról, (de számos funkcióval): </p>
   
 <pre>
 .
-| - Admin
-| - Doc
-| - Galleries
-| | - Kategorie-1
-| | | - Kategorie-1.1
-| | | | - Kategorie-1.1.1
-| | | | | - Kategorie-1.1.1.1
-| | | | | | - Pwg_high
-| | | | | | + - Mariage.jpg
-| | | | | | - Thumbnail
-| | | | | | + - TN-mariage.jpg
-| | | | | + - Mariage.jpg
-| | | | + - Kategorie-1.1.1.2
-| | | + - Kategorie-1.1.2
-| | | - Kategorie-1.2
-| | | | - Pookie.jpg
-| | | + - Thumbnail
-| | | + - TN-pookie.jpg
-| | + - Kategorie-1.3
-| + - Kategorie-2
-| | - Porcinet.gif
-| | - Pwg_representative
-| | + - Video.jpg
-| | - Thumbnail
-| | + - TN-porcinet.jpg
-| + - Video.avi
-| - Include
-| - Install
-| - Language
-| - Template
-+ - Tool</pre>
+|-- admin
+|-- doc
+|-- galleries
+|   |-- category-1
+|   |   |-- category-1.1
+|   |   |   |-- category-1.1.1
+|   |   |   |   |-- category-1.1.1.1
+|   |   |   |   |   |-- pwg_high
+|   |   |   |   |   |   +-- wedding.jpg
+|   |   |   |   |   |-- thumbnail
+|   |   |   |   |   |   +-- TN-wedding.jpg
+|   |   |   |   |   +-- wedding.jpg
+|   |   |   |   +-- category-1.1.1.2
+|   |   |   +-- category-1.1.2
+|   |   |-- category-1.2
+|   |   |   |-- pookie.jpg
+|   |   |   +-- thumbnail
+|   |   |       +-- TN-pookie.jpg
+|   |   +-- category-1.3
+|   +-- category-2
+|       |-- piglet.gif
+|       |-- pwg_representative
+|       |   +-- video.jpg
+|       |-- thumbnail
+|       |   +-- TN-piglet.jpg
+|       +-- video.avi
+|-- include
+|-- install
+|-- language
+|-- template
++-- tool</pre>
 
   </li>
   
 <li>Minden új alkönyvtár a "galeries" könyvtárban létrehoz egy új kategóriát. A könyvtárak mélysége nincs korlátozva.
-    A fenti példában a Kategorie-1.1.1.1 könyvtár 4. mélység szintű.</li>
+    A fenti példában a Kategorie-1.1.1.1 könyvtár 4 mélység szintű.</li>
 
-  <li>Basically, an element is represented by a file. A file can be a
-  Piwigo element if its extenstion is among <code>file_ext</code>
-  configuration parameter possibilities (see <span
-  class="filename">include/config_default.inc.php</span> file). A file can
-  be a picture if its extension is among <code>picture_ext</code>
-  configuration parameter possibilities.</li>
+  <li>Alapvetően, egy elemet egy fájl határoz meg. Egy fájl Piwigo elem lehet, ha kiterjesztése a <code>file_ext</code> 
+  konfigurációs paraméterek lehetőségei között van (lásd <span class="filename">include/config_default.inc.php</span> fájl). 
+  Egy fájl kép lehet, ha kiterjesztése a <code>picture_ext</code> konfigurációs paraméterek lehetőségei között van.</li>
 
-  <li>Picture elements must have an associated thumbnail (see section below
-  about thumbnails)</li>
+  <li>Minden képhez tartoznia kell egy bélyegképnek (lásd lejjebb a
+  bélyegképek szakaszban).</li>
 
-  <li>Picture elements can have a high quality file associated. As for
-  wedding.jpg in the example above. No prefix on the high quality picture.</li>
+  <li>Képnek egy megfelelő felbontású, jó minőségű képet ajánlott választani (lásd a fenti példában a
+  wedding.jpg fájlt). Az eredeti kép fájlneve ne tartalmazzon előtagot.</li>
 
-  <li>Non picture elements (video, sounds, file texts, what you want...) are
-  by default represented by an icon corresponding to the filename
-  extension. Optionaly, you can associate a thumbnail and a representative
-  file (see video.avi in the example above).</li>
+  <li>Amennyiben a feltöltött elem nem képfájl, (video, hang, szöveges fájl, vagy egyéb...) 
+  alapértelmezés szerint a fájl kiterjesztéséhez illeszkedő ikon jelenik meg. 
+  Az ilyen fájlokhoz hozzárendelhető egy bélyegkép fájl (lásd a fenti példában a video.avi fájlt).</li>
 
-  <li><em>Warning</em>: the name of directories and files must contain only letters, figures, "-", "_" or ".". No blank space, no accentuated characters.</li>
+  <li><em>Figyelem</em>: a könyvtárak és fájlok nevei csak betűket és számokat, 
+  valamint a következő karaktereket tartalmazhatják: "-", "_" vagy ".". 
+  Nem lehet üres hely és soremelés karakter.</li>
 
   <li>Once files, thumbnails and representatives are correctly placed in the
-  directories, go to : <span class="pwgScreen">Administration &raquo; Categories &raquo;
-  Synchronize</span></li>
+  directories, go to : <span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo;
+  Szinkronizálás</span></li>
 
 </ul>
@@ -91,18 +93,18 @@
 </fieldset>
 <fieldset>
-  <legend>Thumbnails</legend>
+  <legend>Bélyegképek</legend>
 <ul>
 
-  <li>Each photo must have its thumbnail.</li>
+  <li>Minden képnek rendelkeznie kell egy hozzá tartozó bélyegképpel.</li>
 
-  <li>Thumbnails are stored in the sub-directory "thumbnail" of the category
-  directory. The thumbnail has the same filename as the corresponding photo, with <em>TN-</em> as prefix.</li>
+  <li>A bélyegképek a kategória könyvtár "thumbnail" alkönyvtárában kerülnek eltárolásra.
+   A bélyegkép neve megegyezik a kép fájlnevével, egy <em>TN-</em> előtaggal kiegészítve.</li>
 
-  <li><em>Advise</em>: use an external module for thumbnails creation.</li>
+  <li><em>Advise</em>: egy külső modul a bélyegképek létrehozásához.</li>
 
-  <li>Even if it is not recommended (image quality, web server resource load), you can use <span
-  class="pwgScreen">Administration &raquo; Pictures &raquo; Thumbnails</span> page to create thumbnails.</li>
+  <li>Használhatod, bár nem ajánlott (kép minőség, web szerver erőforrásainak terhelése): <span
+  class="pwgScreen">Adminisztráció &raquo; Eszközök &raquo; Bélyegkép</span> oldalon, bélyegképek létrehozása.</li>
 
-  <li>Give write access on all category directories.</li>
+  <li>Adj írási jogot az összes kategória könyvtárnak.</li>
 
 </ul>