Index: extensions/photoWidget/language/es_ES/description.txt
===================================================================
--- extensions/photoWidget/language/es_ES/description.txt	(revision 5624)
+++ extensions/photoWidget/language/es_ES/description.txt	(revision 5624)
@@ -0,0 +1,1 @@
+Este plugin permite fijar el imagettes bajo la forma de una animación flash 3D.
Index: extensions/photoWidget/language/es_ES/index.php
===================================================================
--- extensions/photoWidget/language/es_ES/index.php	(revision 5624)
+++ extensions/photoWidget/language/es_ES/index.php	(revision 5624)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/es_ES/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 5624)
+++ extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 5624)
@@ -0,0 +1,36 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 ddtddt  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Este plugin fija las imagettas bajo la forma de una animación flash 3D.';
+$lang['Vous can choose that mode for displaying one, severals or all categories'] = 'Usted puede elegir este modo de fijación como la una, varios o todas las categorías';
+$lang['All categories'] = 'Todas las categorías';
+$lang['Animation size'] = 'Talla de la animación';
+$lang['Animation background color'] = 'Color de fondo de la animación';
+$lang['Color'] = 'Color';
+$lang['You choose that mode for'] = 'Usted escogió este modo de fijación para';
+$lang['one category'] = 'una categoría';
+$lang['all categories'] = 'todas las categorías';
+$lang['severals categories'] = 'Varias categorías';
+$lang['Width has been updated'] = 'La anchura ha sido puesta al día';
+$lang['Height has been updated'] = 'La altura ha sido puesta al día';
+$lang['Background color of animation has been updated'] = 'El color de fondo ha sido puesto al día';
+$lang['This widget requires Flash Player 9 or better'] = 'Este modo de fijación necesita flash 9 por lo menos'; 
+?>