Index: extensions/sobre/template/footer.tpl
===================================================================
--- extensions/sobre/template/footer.tpl	(revision 5628)
+++ extensions/sobre/template/footer.tpl	(revision 5628)
@@ -0,0 +1,76 @@
+{* $ Id: footer.tpl 2010-04-03 Par Gotcha pour son thème "Sobre" $ *}
+ 
+<style type="text/css" media="screen">
+#scrolltotop {ldelim} bottom:14px; position:fixed; right:0; z-index:1000; opacity:0; {rdelim}
+#scrolltotop a {ldelim} background-color:transparent;
+  background-image: url("{$ROOT_URL}themes/{$themeconf.name}/images/top.png");
+  background-position:left top; background-repeat:no-repeat; display:block;
+  height:50px; text-indent:-9999px; width:44px; {rdelim}
+#scrolltotop a:hover {ldelim} border-bottom:none; {rdelim}
+</style>
+ 
+{literal}
+<script type="text/javascript">
+$().ready(function($){
+  stt = $('#scrolltotop');
+  $(window).scroll(function(){
+    scrollTop = $(window).scrollTop();
+    $('#scrolltotop a').click(function(){
+        $('html,body').stop().scrollTop(0);
+    });
+    if(scrollTop >= 300){
+      if(stt.css('opacity') == 0){
+        stt.stop().fadeTo(2000,1);
+      }
+    }else{
+      if(stt.css('opacity') > 0){
+        stt.stop().fadeTo(500,0);  
+      } 
+    }
+  });
+  $(window).scroll();
+});
+</script>
+{/literal}
+ 
+<div id="scrolltotop"><a href="#">{'Scroll to top'|translate}</a></div>
+<div id="copyright">
+ <a name="EoP"></a> <!-- End of Page -->
+   <br><a href="{$PHPWG_URL}" class="Piwigo">
+  <span class="Piwigo"><img src="./themes/{$themeconf.name}/images/pwg_baniere_pdp.png" border="0"/></span></a><br/>
+  {if isset($ContactFormLink)}
+    {$ContactFormLink}
+  {else}
+    {if isset($CONTACT_MAIL)}
+      {'Contact'|@translate} <a href="mailto:{$CONTACT_MAIL}?subject={'A comment on your site'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
+    {/if}
+  {/if}
+  <br/>
+
+
+ {* Please, do not remove this copyright. If you really want to,
+      contact us on http://piwigo.org to find a solution on how
+      to show the origin of the script...
+  *}
+
+
+{if isset($footer_elements)}
+{foreach from=$footer_elements item=v}
+{$v}
+{/foreach}
+{/if}
+ <br/> 
+ v{$VERSION} - 
+ {if isset($debug.TIME) }
+ {'generation time'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'sql queries in'|@translate} {$debug.SQL_TIME})  
+ <script type="text/javascript"> document.write('Vous utilisez ' + BrowserDetect.browser + ' ' + BrowserDetect.version + ' sur ' + BrowserDetect.OS + '.'); </script>
+ {/if}
+</div> <!-- the_page -->
+{if isset($debug.QUERIES_LIST)}
+<div id="debug">
+{$debug.QUERIES_LIST}
+</div>
+{/if}
+</div> <!-- copyright -->
+</body>
+</html>
Index: extensions/sobre/template/header.tpl
===================================================================
--- extensions/sobre/template/header.tpl	(revision 5628)
+++ extensions/sobre/template/header.tpl	(revision 5628)
@@ -0,0 +1,94 @@
+{* $ Id: header.tpl 2010-04-03 Par Gotcha pour son thème "Sobre" $ *}
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
+<meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
+{if isset($meta_ref) } 
+{if isset($INFO_AUTHOR)}
+<meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
+{/if}
+{if isset($related_tags)}
+<meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
+{/if}
+{if isset($COMMENT_IMG)}
+<meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{else}
+<meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{/if}
+{/if}
+
+{if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('Home'))}
+<title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>{else}
+<title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>{/if}
+<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.ico">
+
+<link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
+<link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
+{if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
+{if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
+{if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
+{if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
+{if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
+
+{foreach from=$themes item=theme}
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/theme.css">
+{if isset($theme.local_head)}{include file=$theme.local_head}{/if}
+{/foreach}
+
+{if isset($U_PREFETCH)          }<link rel="prefetch" href="{$U_PREFETCH}">{/if}
+
+{if not empty($page_refresh)    }<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
+
+<script type="text/javascript" src="{$ROOT_URL}themes/default/js/scripts.js"></script>
+<!--[if lt IE 7]>
+<script type="text/javascript" src="{$ROOT_URL}themes/default/js/pngfix.js"></script>
+<![endif]-->
+
+{if not empty($head_elements)}
+	{foreach from=$head_elements item=elt}{$elt}
+	{/foreach}
+{/if}
+
+
+<script type="text/javascript">
+src="{$ROOT_URL}themes/{$themeconf.name}/CSS.js"
+
+<!--
+Name_motor = navigator.product;
+Version_Motor = navigator.productSub;
+
+if ((Name_motor=="Gecko" && Version_Motor>="20100115") 
+  || (BrowserDetect.browser=="Firefox" && BrowserDetect.version>=3.5) 
+  || (BrowserDetect.browser=="Safari" && BrowserDetect.version>=3.1) 
+  || (BrowserDetect.browser=="Opera" && BrowserDetect.version>=10) 
+  || (BrowserDetect.browser=="Chrome" && BrowserDetect.version>=4))
+	document.write('<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$themeconf.name}/CSS3.css">');
+// -->
+</script>
+
+{known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
+
+
+</head>
+
+<body id="{$BODY_ID}">
+<div id="the_page">
+
+{if not empty($header_msgs)}
+<div class="header_msgs">
+	{foreach from=$header_msgs item=elt}
+	{$elt}<br />
+	{/foreach}
+</div>
+{/if}
+
+<div id="theHeader">{$PAGE_BANNER}</div>
+{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
+{if not empty($header_notes)}
+<div class="header_notes">
+	{foreach from=$header_notes item=elt}
+	<p>{$elt}</p>
+  	{/foreach}
+</div>
+{/if}
Index: extensions/sobre/template/mainpage_categories.tpl
===================================================================
--- extensions/sobre/template/mainpage_categories.tpl	(revision 5628)
+++ extensions/sobre/template/mainpage_categories.tpl	(revision 5628)
@@ -0,0 +1,30 @@
+{* $Id: mainpage_categories.tpl 2010-04-03 Par Gotcha pour son thème "Sobre" $ *}
+
+<ul class="thumbnailCategories">
+{foreach from=$category_thumbnails item=cat}
+	<li>
+		<div class="thumbnailCategory">
+			<div class="illustration">
+			<a href="{$cat.URL}">
+				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'shows images at the root of this category'|@translate}">
+			</a>
+			</div>
+			<div class="description">
+				<h3>
+					<a href="{$cat.URL}">{$cat.NAME}</a>
+					{$cat.ICON_TS}
+				</h3>
+		<div class="text">
+				{if isset($cat.INFO_DATES) }
+				<p class="dates">{$cat.INFO_DATES}</p>
+				{/if}
+				<p class="Nb_images">{if (strpos($cat.NAME,'<!--hide-counters-->') == 0)}{$cat.CAPTION_NB_IMAGES}{else}{'Auto categorie'|@translate}{/if}</p>
+				{if not empty($cat.DESCRIPTION)}
+				<p>{$cat.DESCRIPTION}</p>
+				{/if}
+		</div>
+			</div>
+		</div>
+	</li>
+{/foreach}
+</ul>
Index: extensions/sobre/template/menubar_categories.tpl
===================================================================
--- extensions/sobre/template/menubar_categories.tpl	(revision 5628)
+++ extensions/sobre/template/menubar_categories.tpl	(revision 5628)
@@ -0,0 +1,43 @@
+{* $ menubar_categories.tpl 2010-04-03 Par Gotcha pour son thème "Sobre" $ *}
+<dt>
+{* 
+  {if isset($U_START_FILTER)}
+  <a href="{$U_START_FILTER}" title="{'display only recently posted images'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a>
+  {/if}
+  {if isset($U_STOP_FILTER)}
+  <a href="{$U_STOP_FILTER}" title="{'return to the display of all images'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a>
+  {/if}
+*}
+
+  <a href="{$block->data.U_CATEGORIES}">{'Categories'|@translate}</a>
+</dt>
+<dd>
+{assign var='ref_level' value=0}
+{foreach from=$block->data.MENU_CATEGORIES item=cat}
+  {if $cat.LEVEL > $ref_level}
+  <ul>
+  {else}
+    </li>
+    {'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
+  {/if}
+    <li {if $cat.SELECTED}class="selected"{/if}>
+      <a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}">{$cat.NAME}</a>
+      {if $cat.count_images > 0}
+      <span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+      {/if}
+      {if !empty($cat.icon_ts)}
+      <img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+      {/if}
+  {assign var='ref_level' value=$cat.LEVEL}
+{/foreach}
+{'</li></ul>'|@str_repeat:$ref_level}
+
+	{if isset($block->data.U_UPLOAD)}
+	<ul>
+		<li>
+			<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
+		</li>
+	</ul>
+	{/if}
+	<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
+</dd>
Index: extensions/sobre/template/picture.tpl
===================================================================
--- extensions/sobre/template/picture.tpl	(revision 5582)
+++ extensions/sobre/template/picture.tpl	(revision 5628)
@@ -33,5 +33,5 @@
           <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
     {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE}{/if}
-  {$LEVEL_SEPARATOR} <small>{'Viewing_name'|@translate}:</small> {$current.TITLE}
+  {$LEVEL_SEPARATOR} <small>{'Viewing name'|@translate}:</small> {$current.TITLE}
   </div>
   <div class="imageNumber">{$PHOTO}</div>
@@ -131,5 +131,5 @@
 	{/if}
 	{if $display_info.licence}
-      <td class="label">{if isset($COMMENT_LIC)}{'Licence_area'|@translate}{/if}</td>
+      <td class="label">{if isset($COMMENT_LIC)}{'Licence area'|@translate}{/if}</td>
       <td class="value"><p>{$COMMENT_LIC}</p></td>
 	{/if}
@@ -184,8 +184,8 @@
 	{/if}
     {if $display_info.visits}
-      <td id="Visits" class="label">{'Visits'|@translate}</td>
+      <td id="Visits" class="label">{'Informations'|@translate}</td>
       <td id="Visits"class="value">
         <p>
-          {$INFO_VISITS}
+          {$INFO_VISITS} {'Visits'|@translate}
           {if $display_info.average_rate and isset($rate_summary) }, <span id="Average" "ratingSummary">
             {if $rate_summary.count}
@@ -302,5 +302,5 @@
 		      <p>
               {if $comment_add.SHOW_AUTHOR}
-		        <label>{'Author'|@translate}
+		        <label>{'upload author'|@translate}
                   <input type="text" name="author">
                 </label>
@@ -309,5 +309,5 @@
               </p>
               <input type="hidden" name="key" value="{$comment_add.KEY}">
-              <input class="submit" type="submit" value="{'Submit'|@translate}">
+              <input class="submit" type="submit" value="{'Submit comment'|@translate}">
 	        </td>
             <td width="100%" align="center">