Index: /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 5633)
@@ -2,5 +2,7 @@
 //----------------------------------------------------------- include
 define('PHPWG_ROOT_PATH','./../../');
+
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
 include_once (UAM_PATH.'include/constants.php');
 include_once (UAM_PATH.'include/functions.inc.php');
@@ -11,29 +13,4 @@
 //check_status(ACCESS_NONE);
 load_language('plugin.lang', UAM_PATH);
-
-if (isset($_GET['key']))
-{
-
-  global $conf;
-  
-  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
-
-  if (VerifyConfirmMail($_GET['key']))
-  {
-    $template->assign(
-			array(
-				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[5],
-			)
-		);
-  }  
-  else
-  {  
-    $template->assign(
-			array(
-				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[6],
-			)
-		);
-  }
-}
 
 /**
@@ -55,9 +32,34 @@
   '/theme/'.$user['theme'].'/themeconf.inc.php');
 
-$template->set_filenames(
-  array(
-  	'confirm_mail'=>UAM_PATH.'ConfirmMail.tpl',
-	)
-);
+if (isset($_GET['key']))
+{
+
+  global $conf;
+  
+  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
+
+  if (VerifyConfirmMail($_GET['key']))
+  {
+    $status = true;
+    
+    $template->assign(
+			array(
+        'STATUS'               => $status,
+				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[5],
+			)
+		);
+  }  
+  else
+  {
+    $status = false;
+    $template->assign(
+			array(
+        'STATUS'               => $status,
+				'CONFIRM_MAIL_MESSAGE' => $conf_UAM_ConfirmMail[6],
+			)
+		);
+  }
+}
+
 if (isset($lang['Theme: '.$user['theme']]))
 {
@@ -78,4 +80,9 @@
 }
 
+$template->set_filenames(
+  array(
+  	'confirm_mail'=>dirname(__FILE__).'/template/ConfirmMail.tpl',
+	)
+);
 
 $template->pparse('confirm_mail');
Index: tensions/NBC_UserAdvManager/trunk/ConfirmMail.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/ConfirmMail.tpl	(revision 5632)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
-      {if isset($GALLERY_URL)}
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      {else}
-        <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      {/if}
-      </li>
-    </ul>
-    <h2>{'title_confirm_mail'|@translate}</h2>
-  </div>
-  <ul>
-  {$CONFIRM_MAIL_MESSAGE}
-  </ul>
-</div>
Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5633)
@@ -216,5 +216,5 @@
   $result = pwg_query($query);
 	
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $groups[$row['id']] = $row['name'];
@@ -370,5 +370,5 @@
 		  $result = pwg_query($query);
 			
-		  while($row = mysql_fetch_assoc($result))
+		  while($row = pwg_db_fetch_assoc($result))
 	  	{
 				$msg_error1 .= (($msg_error1 <> '') ? '<br/>' : '') . l10n('Err_audit_no_casse').stripslashes($row['username']);
@@ -388,5 +388,5 @@
 			$result = pwg_query($query);
 			
-			while($row = mysql_fetch_assoc($result))
+			while($row = pwg_db_fetch_assoc($result))
 			{
 				if (!ValidateUsername(stripslashes($row['username'])))
@@ -407,5 +407,5 @@
 		  $result = pwg_query($query);
 			
-		  while($row = mysql_fetch_assoc($result))
+		  while($row = pwg_db_fetch_assoc($result))
 		  {
 			  $conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[13]);
@@ -801,5 +801,5 @@
 WHERE id = '".$user_id."'
 ;";
-					$data = mysql_fetch_assoc(pwg_query($query));
+					$data = pwg_db_fetch_assoc(pwg_query($query));
 				
       		ResendMail2User($typemail,$user_id,stripslashes($data['username']),$data['mail_address'],true);
@@ -886,5 +886,5 @@
 ;";
 					
-					$data = mysql_fetch_assoc(pwg_query($query));
+					$data = pwg_db_fetch_assoc(pwg_query($query));
 				
       		ResendMail2User($typemail,$user_id,stripslashes($data['username']),$data['mail_address'],false);				
@@ -970,5 +970,5 @@
 ;";
 					
-					$data = mysql_fetch_assoc(pwg_query($query));
+					$data = pwg_db_fetch_assoc(pwg_query($query));
 				
       		ForceValidation($data['id']);				
@@ -1001,5 +1001,5 @@
 		$result = pwg_query($query);
           
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $groups[$row['id']] = $row['name'];
@@ -1082,5 +1082,5 @@
       $result = pwg_query($query);
       
-      $row = mysql_fetch_assoc($result);
+      $row = pwg_db_fetch_assoc($result);
     
       if (isset($row['reminder']) and $row['reminder'] == 'true')
@@ -1353,5 +1353,5 @@
 ;";
 					
-					$data = mysql_fetch_assoc(pwg_query($query));
+					$data = pwg_db_fetch_assoc(pwg_query($query));
 				
       		ghostreminder($user_id,stripslashes($data['username']),$data['mail_address']);				
@@ -1378,5 +1378,5 @@
   FROM '.USER_LASTVISIT_TABLE.';';
 
-        $count = mysql_num_rows(pwg_query($query1));
+        $count = pwg_db_num_rows(pwg_query($query1));
 
         if ($count <> 0)
@@ -1397,7 +1397,7 @@
           $result = pwg_query($query);
           
-          while ($row = mysql_fetch_assoc($result))
+          while ($row = pwg_db_fetch_assoc($result))
           {
-            list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+            list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
             
             $query = "
@@ -1424,7 +1424,7 @@
           $result = pwg_query($query);
           
-          while($row = mysql_fetch_assoc($result))
+          while($row = pwg_db_fetch_assoc($result))
           {
-            list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+            list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
             
             $query = "
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5633)
@@ -163,4 +163,9 @@
             Bug 1508 fixed - Plugin's name is now UserAdvManager (deletion of "nbc_" in code and PEM)
             Bug 1551 fixed - Database upgrade improvement
+
+-- 2.15.1 : Bug 1571 fixed - Missing translation tag
+            Bug 1572 fixed - Fix unable to read resource: "ConfirmMail.tpl"
+            Bug 1574 fixed - Beautifying ConfirmMail page
+            Bug 1576 fixed - Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions.
 */
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 5633)
@@ -22,5 +22,5 @@
 WHERE user_id = '.$id.'
 ;';
-  $data = mysql_fetch_assoc(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
 
 /* Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language */
@@ -166,5 +166,5 @@
 WHERE user_id = '.$user_id.'
 ;';
-  $data = mysql_fetch_assoc(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   $language = $data['language'];
   
@@ -265,5 +265,5 @@
 WHERE user_id = '.$user_id.'
 ;';
-  $data = mysql_fetch_assoc(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   $language = $data['language'];
 
@@ -320,5 +320,5 @@
 WHERE id = '".$id."'
 ;";
-    list($count) = mysql_fetch_row(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
 
     if ($count == 0)
@@ -336,5 +336,5 @@
   $Confirm_Mail_ID = FindAvailableConfirmMailID();
 
-  list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
   
   if (isset($Confirm_Mail_ID))
@@ -345,5 +345,5 @@
 WHERE user_id = '".$user_id."'
 ;";
-    list($status) = mysql_fetch_row(pwg_query($query));
+    list($status) = pwg_db_fetch_row(pwg_query($query));
     
     $query = "
@@ -399,5 +399,5 @@
   $Confirm_Mail_ID = FindAvailableConfirmMailID();
 
-  list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
   
   if (isset($Confirm_Mail_ID))
@@ -427,5 +427,5 @@
   global $conf;
 
-  list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
   $query = "
@@ -474,5 +474,5 @@
 WHERE id = '".$id."'
 ;";
-  list($count) = mysql_fetch_row(pwg_query($query));
+  list($count) = pwg_db_fetch_row(pwg_query($query));
 
   if ($count == 1)
@@ -483,5 +483,5 @@
 WHERE id = '".$id."'
 ;";
-    $data = mysql_fetch_assoc(pwg_query($query));
+    $data = pwg_db_fetch_assoc(pwg_query($query));
         
     if (!empty($data) and isset($data['user_id']) and !isset($data['date_check']))
@@ -492,5 +492,5 @@
 WHERE user_id = '".$data['user_id']."'
 ;";
-      list($registration_date) = mysql_fetch_row(pwg_query($query));
+      list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
 /*              Time limit process              */
@@ -516,5 +516,5 @@
 					if ($deltadays <= $conf_UAM_ConfirmMail[1]) // If Nb of days is less than the limit set
 					{
-						list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+						list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
 						$query = '
@@ -568,5 +568,5 @@
 				else
 				{
-					list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+					list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
 					$query = '
@@ -640,5 +640,5 @@
 WHERE user_id = '".$id."'
 ;";
-  list($count) = mysql_fetch_row(pwg_query($query));
+  list($count) = pwg_db_fetch_row(pwg_query($query));
 
   if ($count == 1)
@@ -649,9 +649,9 @@
 WHERE user_id = '".$id."'
 ;";
-    $data = mysql_fetch_assoc(pwg_query($query));
+    $data = pwg_db_fetch_assoc(pwg_query($query));
 
     if (!empty($data) and isset($data['user_id']) and !isset($data['date_check']))
     {      
-			list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+			list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
 			$query = "
@@ -718,5 +718,5 @@
 WHERE LOWER(".stripslashes($conf['user_fields']['username']).") = '".strtolower($username)."'
 ;";
-    $users = mysql_num_rows(pwg_query($query));
+    $users = pwg_db_num_rows(pwg_query($query));
     if ($users > 0)
     {
@@ -837,5 +837,5 @@
 	$result = pwg_query($query);
       
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
   	$user = $row;
@@ -864,5 +864,5 @@
 		$result = pwg_query($query);
         
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
     	array_push(
@@ -901,5 +901,5 @@
 	$result = pwg_query($query);
       
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
   	$user = $row;
@@ -942,5 +942,5 @@
 	$result = pwg_query($query);
       
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
   	$user = $row;
@@ -977,5 +977,5 @@
 WHERE user_id = '".$id."'
 ;";
-	list($registration_date) = mysql_fetch_row(pwg_query($query));
+	list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
 /*              Time limit process              */
@@ -1088,5 +1088,5 @@
 {
   $query = 'DESC '.$table.';';
-  return (bool)($res=mysql_query($query));
+  return (bool)($res=pwg_query($query));
 }
 
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5633)
@@ -255,3 +255,8 @@
 $lang['Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern wird in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert.';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
+// --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5633)
@@ -252,3 +252,8 @@
 $lang['Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['reg_err_mail_address_dbl'] = 'Diese E-Mail-Adresse wird bereits verwendet.';
+// --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5633)
@@ -254,3 +254,8 @@
 $lang['Err_UserManager_Settings'] = 'Esta página está disponible sólo si "Confirmación de registro" está activo y si un grupo de visitantes no ha sido validada está configurado en "Configuración de las confirmaciones y validaciones de registro".';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['reg_err_mail_address_dbl'] = 'Esta dirección de correo electrónico ya se utiliza.';
+// --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5633)
@@ -251,3 +251,8 @@
 $lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['reg_err_mail_address_dbl'] = 'Cette adresse email est déjà utilisée.';
+// --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5633)
@@ -254,3 +254,8 @@
 $lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione".';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.1
+$lang['reg_err_mail_address_dbl'] = 'Questo indirizzo e-mail è già utilizzato.';
+// --------- End: New or revised $lang ---- from version 2.15.1
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5633)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.15.0
+Version: 2.15.1
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -92,5 +92,5 @@
 ;';
         
-      $count = mysql_num_rows(pwg_query($query));
+      $count = pwg_db_num_rows(pwg_query($query));
          
       if ($count == 0)
@@ -210,5 +210,5 @@
 WHERE upper('.$conf['user_fields']['email'].') = upper(\''.$_POST['email'].'\')
 ;';
-    list($count) = mysql_fetch_array(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
     if ($count != 0)
     {
@@ -234,5 +234,5 @@
 WHERE upper('.$conf['user_fields']['email'].') = upper(\''.$_POST['mail_address'].'\')
 ;';
-    list($count) = mysql_fetch_array(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
     if ($count != 0)
     {
@@ -355,5 +355,5 @@
 ;';
           
-          list($current_email) = mysql_fetch_row(pwg_query($query));
+          list($current_email) = pwg_db_fetch_row(pwg_query($query));
       
           if ($_POST['mail_address'] != $current_email and ( isset($conf_UAM[2]) and $conf_UAM[2] == 'true'))
@@ -370,5 +370,5 @@
 ;';
         
-          list($username) = mysql_fetch_row(pwg_query($query));
+          list($username) = pwg_db_fetch_row(pwg_query($query));
 
           SendMail2User($typemail, $user['id'], $username, $_POST['use_new_pwd'], $_POST['mail_address'], $confirm_mail_need);
Index: /extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5633)
@@ -89,5 +89,5 @@
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-  $count1 = mysql_num_rows(pwg_query($query));
+  $count1 = pwg_db_num_rows(pwg_query($query));
   
 	$query1 = '
@@ -96,5 +96,5 @@
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-  $count2 = mysql_num_rows(pwg_query($query1));
+  $count2 = pwg_db_num_rows(pwg_query($query1));
 
 /* If old params exist an upgrade is needed */
@@ -109,5 +109,5 @@
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-    $count = mysql_num_rows(pwg_query($query)); 
+    $count = pwg_db_num_rows(pwg_query($query)); 
   
     if ($count == 0)
Index: /extensions/NBC_UserAdvManager/trunk/obsolete.list
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5632)
+++ /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5633)
@@ -4,2 +4,3 @@
 admin/userlist.tpl
 admin/usermanager.tpl
+ConfirmMail.tpl
Index: /extensions/NBC_UserAdvManager/trunk/template/ConfirmMail.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/template/ConfirmMail.tpl	(revision 5633)
+++ /extensions/NBC_UserAdvManager/trunk/template/ConfirmMail.tpl	(revision 5633)
@@ -0,0 +1,27 @@
+{html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
+
+<div id="content" class="content">
+  <div class="titrePage">
+    <ul class="categoryActions">
+      <li>
+      {if isset($GALLERY_URL)}
+        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
+        </a>
+      {else}
+        <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
+          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
+        </a>
+      {/if}
+      </li>
+    </ul>
+    <h2 class="confmail">{'title_confirm_mail'|@translate}</h2>
+  </div>
+  <ul>
+  {if $STATUS == true}
+    <div class="infos">{$CONFIRM_MAIL_MESSAGE}</div>
+  {elseif $STATUS == false}
+    <div class="errors">{$CONFIRM_MAIL_MESSAGE}</div>
+  {/if}
+  </ul>
+</div>
Index: /extensions/NBC_UserAdvManager/trunk/template/confmail.css
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/template/confmail.css	(revision 5633)
+++ /extensions/NBC_UserAdvManager/trunk/template/confmail.css	(revision 5633)
@@ -0,0 +1,31 @@
+H2.confmail
+{
+  text-align: center;
+  font-size: large;
+  color: orange;
+}
+
+/**
+ * Informations box
+ */
+.errors, .infos{
+  margin: 5px;
+  padding: 50px 50px 10px 10px;
+  font-weight:bold;
+  background-repeat: no-repeat;
+  background-position: 5px 5px;
+  padding:15px 60px 0pt 60px;
+  min-height: 54px;
+}
+
+.errors {
+  color: #f22;
+  background-color: #ffd5dc;
+  background-image: url(icon/errors.png);
+}
+
+.infos {
+  color: #0a0;
+  background-color:#c2f5c2;
+  background-image: url(icon/infos.png);
+}
Index: /extensions/NBC_UserAdvManager/trunk/template/icon/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/template/icon/index.php	(revision 5633)
+++ /extensions/NBC_UserAdvManager/trunk/template/icon/index.php	(revision 5633)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/NBC_UserAdvManager/trunk/template/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/template/index.php	(revision 5633)
+++ /extensions/NBC_UserAdvManager/trunk/template/index.php	(revision 5633)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>