Index: /extensions/Register_FluxBB/trunk/admin/admin.php
===================================================================
--- /extensions/Register_FluxBB/trunk/admin/admin.php	(revision 5634)
+++ /extensions/Register_FluxBB/trunk/admin/admin.php	(revision 5635)
@@ -82,5 +82,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
     $msg_error_PWG_Dup .= '<br>'.l10n('Error_PWG_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
@@ -100,5 +100,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_FluxBB_Dup .= '<br>'.l10n('Error_FluxBB_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
@@ -111,5 +111,5 @@
     $subresult = pwg_query($subquery);
   
-    while($subrow = mysql_fetch_array($subresult))
+    while($subrow = pwg_db_fetch_assoc($subresult))
     {
       $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
@@ -157,5 +157,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Break .= '<br>'.l10n('Error_Link_Break').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
@@ -196,5 +196,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
@@ -245,5 +245,5 @@
 ;";
 
-  $Compteur = mysql_fetch_array(pwg_query($query));
+  $Compteur = pwg_db_fetch_assoc(pwg_query($query));
 
   if (!empty($Compteur) and $Compteur['nbr_dead'] > 0)
@@ -278,5 +278,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
@@ -318,5 +318,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
@@ -373,5 +373,5 @@
   $result = pwg_query($query);
 
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_PWG2FluxBB .= '<br>'.l10n('Error_PWG2FluxBB').stripslashes($row['username']).' ('.$row['mail_address'].')';
@@ -415,5 +415,5 @@
   $result = pwg_query($query);
 
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
@@ -513,9 +513,9 @@
 SELECT id AS id_pwg, username, password, mail_address 
 FROM ".USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($_GET['username'])."'
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($_GET['username'])."'
 LIMIT 1
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -531,9 +531,9 @@
 SELECT id, username, password, mail_address 
 FROM ".USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($_GET['username'])."'
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($_GET['username'])."'
 LIMIT 1
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -633,5 +633,5 @@
     $result = pwg_query($query);
   
-    while ($row = mysql_fetch_array($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       if((stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[2])) and (stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[1])))
@@ -658,5 +658,5 @@
     $msg_Mig_Add_AllUsers = '';
   
-    while ($row = mysql_fetch_array($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       if((stripslashes($row['username']) != 'guest') and (stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[1])))
@@ -677,5 +677,5 @@
 ;";
 
-    $row = mysql_fetch_array(pwg_query($query));
+    $row = pwg_db_fetch_assoc(pwg_query($query));
 
     if (!empty($row))
@@ -736,5 +736,5 @@
     $result = pwg_query($query);
   
-    while($row = mysql_fetch_array($result))
+    while($row = pwg_db_fetch_assoc($result))
       $msg_error_PWG_Dup .= '<br>'.l10n('Error_PWG_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
@@ -752,5 +752,5 @@
     $result = pwg_query($query);
   
-    while($row = mysql_fetch_array($result))
+    while($row = pwg_db_fetch_assoc($result))
     {
       $msg_error_FluxBB_Dup .= '<br>'.l10n('Error_FluxBB_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
@@ -764,5 +764,5 @@
       $subresult = pwg_query($subquery);
   
-      while($subrow = mysql_fetch_array($subresult))
+      while($subrow = pwg_db_fetch_assoc($subresult))
       {
         $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
@@ -809,5 +809,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Break .= '<br>'.l10n('New_Link').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
@@ -832,5 +832,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Bad .= '<br>'.l10n('Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
@@ -859,5 +859,5 @@
 ;";
 
-      $Compteur = mysql_fetch_array(pwg_query($query));
+      $Compteur = pwg_db_fetch_assoc(pwg_query($query));
     
       if ( !empty($Compteur) and $Compteur['nbr_dead'] > 0)
@@ -892,5 +892,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Bad .= '<br>'.l10n('Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
@@ -916,5 +916,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
@@ -928,5 +928,5 @@
 ;";
 
-          $data = mysql_fetch_array(pwg_query($query));
+          $data = pwg_db_fetch_assoc(pwg_query($query));
         
           if (!empty($data))
@@ -955,5 +955,5 @@
       $result = pwg_query($query);
   
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_PWG2FluxBB .= '<br>'.l10n('Add_User').stripslashes($row['username']).' ('.$row['mail_address'].')';
@@ -966,5 +966,5 @@
 ;";
 
-        $data = mysql_fetch_array(pwg_query($query));
+        $data = pwg_db_fetch_assoc(pwg_query($query));
       
         if (!empty($data))
@@ -992,5 +992,5 @@
       $result = pwg_query($query);
   
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
Index: /extensions/Register_FluxBB/trunk/include/functions.inc.php
===================================================================
--- /extensions/Register_FluxBB/trunk/include/functions.inc.php	(revision 5634)
+++ /extensions/Register_FluxBB/trunk/include/functions.inc.php	(revision 5635)
@@ -14,5 +14,5 @@
 ;";
   
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_row(pwg_query($query));
   
   if (!empty($data))
@@ -65,5 +65,5 @@
 ;";
 
-  $o_default_user_group = mysql_fetch_array(pwg_query($query));
+  $o_default_user_group = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -73,5 +73,5 @@
 ;";
 
-  $o_server_timezone = mysql_fetch_array(pwg_query($query));
+  $o_server_timezone = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -81,5 +81,5 @@
 ;";
 
-  $o_default_lang = mysql_fetch_array(pwg_query($query));
+  $o_default_lang = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -89,5 +89,5 @@
 ;";
 
-  $o_default_style = mysql_fetch_array(pwg_query($query));
+  $o_default_style = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = '
@@ -105,5 +105,5 @@
   )
 VALUES(
-  '".mysql_real_escape_string($login)."',
+  '".pwg_db_real_escape_string($login)."',
   ". ( isset($o_default_user_group['conf_value']) ? "'".$o_default_user_group['conf_value']."'" : '' ) .",
   '".$password."', 
@@ -120,5 +120,5 @@
   $result = pwg_query($query);
 
-  $bb_id = mysql_insert_id();
+  $bb_id = pwg_db_insert_id();
   
   FluxBB_Linkuser($pwg_id, $bb_id);
@@ -135,5 +135,5 @@
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -157,5 +157,5 @@
 ;";
 
-  $data0 = mysql_fetch_array(pwg_query($query0));
+  $data0 = pwg_db_fetch_assoc(pwg_query($query0));
 
   // Si égale à VRAI, suppression de tous les posts et topics
@@ -173,5 +173,5 @@
     $subquery = "
 DELETE FROM ".FluxBB_TOPICS_TABLE."
-WHERE BINARY poster = BINARY '".mysql_real_escape_string($data0['username'])."'
+WHERE BINARY poster = BINARY '".pwg_db_real_escape_string($data0['username'])."'
 ;";
 
@@ -210,5 +210,5 @@
 ;";
 
-  $row = mysql_fetch_array(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
 
   if (!empty($row))
@@ -216,5 +216,5 @@
     $query = "
 UPDATE ".FluxBB_USERS_TABLE."
-SET username = '".mysql_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
+SET username = '".pwg_db_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
 WHERE id = ".$row['FluxBB_id']."
 ;";
@@ -229,8 +229,8 @@
 SELECT id as FluxBB_id
 FROM ".FluxBB_USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($username)."'
-;";
-
-    $row = mysql_fetch_array(pwg_query($query));
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($username)."'
+;";
+
+    $row = pwg_db_fetch_assoc(pwg_query($query));
   
     if (!empty($row))
@@ -238,5 +238,5 @@
       $query = "
 UPDATE ".FluxBB_USERS_TABLE."
-SET username = '".mysql_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
+SET username = '".pwg_db_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
 WHERE id = ".$row['FluxBB_id']."
 ;";
Index: /extensions/Register_FluxBB/trunk/main.inc.php
===================================================================
--- /extensions/Register_FluxBB/trunk/main.inc.php	(revision 5634)
+++ /extensions/Register_FluxBB/trunk/main.inc.php	(revision 5635)
@@ -165,5 +165,5 @@
 ;';
 
-          list($current_password) = mysql_fetch_row(pwg_query($query));
+          list($current_password) = pwg_db_fetch_row(pwg_query($query));
       
           if ($conf['pass_convert']($_POST['password']) != $current_password)
@@ -184,5 +184,5 @@
 ;';
 
-        list($username) = mysql_fetch_row(pwg_query($query));
+        list($username) = pwg_db_fetch_row(pwg_query($query));
 
         FluxBB_Updateuser($user['id'], stripslashes($username), sha1($_POST['use_new_pwd']), $_POST['mail_address']);