Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 5660)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 5661)
@@ -122,5 +122,5 @@
 $lang['New parent category'] = 'Új szülő kategória';
 $lang['New tag'] = 'Új címke';
-$lang['Number of comments per page'] = 'Kommentek száma oldalanként';
+$lang['Number of comments per page'] = 'Hozzászólások száma oldalanként';
 $lang['Number of rates'] = 'Értékelések száma';
 $lang['Number of thumbnails to create'] = 'Elkészítendő bélyegképek száma';
@@ -184,5 +184,5 @@
 $lang['Virtual categories to move'] = 'Virtuális kategóriák kijelölése áthelyezésre';
 $lang['Virtual category name'] = 'Virtuális kategória neve';
-$lang['Webmaster cannot be deleted'] = 'Najó...azért a webmestert ne töröljük...';
+$lang['Webmaster cannot be deleted'] = 'Na jó...azért a webmestert ne töröljük...';
 $lang['You are running on development sources, no check possible.'] = 'Ez egy fejlesztői változat, keresés lehetetlen.';
 $lang['You cannot delete your account'] = "Nem törölheti a fiókját";
@@ -240,5 +240,5 @@
 $lang['Groups'] = 'Csoportok';
 $lang[''] = '';
-$lang['High definition'] = 'Magas hozzáférési szint';
+$lang['High definition'] = 'Kiemelt hozzáférés';
 $lang['jump to category'] = 'Kategóriához ugrás';
 $lang['jump to image'] = 'Képhez ugrás';
@@ -301,5 +301,5 @@
 $lang['Options'] = 'Lehetőségek';
 $lang['Send'] = 'Küldés';
-$lang['Subscribed'] = 'Regisztrált';
+$lang['Subscribed'] = 'Feliratkozott';
 $lang['Subscribe'] = 'Feliratkozás';
 $lang['Parameters'] = 'Paraméterek';
@@ -344,5 +344,5 @@
 $lang['selection'] = 'kiválasztás';
 $lang['set to'] = 'Beállítás';
-$lang['singly represented'] = 'festgelegtes Vorschaubild';
+$lang['singly represented'] = 'rögzített képviselője';
 $lang['This site already exists'] = 'Ilyen oldal már van';
 $lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Új galéria-oldal : ( URL hozzáadása a create_listing_file.php -hoz)';
@@ -405,5 +405,5 @@
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'A create_listing_file.php verziójának azonosnak kell lenni a távoli oldalon lévővel';
 $lang['listing.xml file was not found'] = 'listing.xml fájl nem található';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml nem található a távoli oldalon. This file is generated by choosing the "generate listing" command in the Site manager';
+$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml fájl nem található a távoli oldalon. Ezt a fájlt hozza létre a Site manager a "listázás" parancs kiválasztásakor';
 $lang['Error list'] = 'Hibalista';
 $lang['Errors caption'] = 'Címsor hiba';
@@ -411,5 +411,5 @@
 $lang['File/directory read error'] = 'Fájl/Mappa olvasási hiba';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'A fájl vagy mappa hozzáférhetetlen (vagy nem létezik, vagy hozzáférés megtagadva)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának "thumbnail" almappájában kell lennie. A bélyegkép nevének a meghatározott prefixszel kell kezdődnie, és a következő kiterjesztése lehet:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának "thumbnail" almappájában kell lennie. A bélyegkép nevének a meghatározott előtaggal kell kezdődnie, és a következő kiterjesztése lehet:';
 $lang['missing thumbnail'] = 'bélyegkép hiányzik';
 $lang['categories deleted in the database'] = 'adatbázisból törölt kategória';
@@ -457,5 +457,5 @@
 $lang['Month'] = 'Hónap';
 $lang['Day'] = 'Nap';
-$lang['Pages seen'] = 'Látott oldalak';
+$lang['Pages seen'] = 'Megtekintett oldalak';
 $lang['Pictures'] = 'Képek';
 $lang['Time'] = 'Idő';
@@ -520,5 +520,5 @@
 $lang['Main "webmaster" user does not exist'] = 'A "webmester" felhasználó nem létezik';
 $lang['Main "webmaster" user status is incorrect'] = 'A "webmester" felhasználó státusz hibás';
-$lang['User "%s" created with "%s" like password'] = 'Felhasználó "%s" erstellt mit dem Passwort "%s"';
+$lang['User "%s" created with "%s" like password'] = '"%s" felhasználó által létrehozott jelszó: "%s"';
 $lang['Status of user "%s" updated'] = '"%s" felhasználói státuszának aktualizálása';
 $lang['add new elements to caddie'] = 'Az új elemeket gyűjtse a kosárba';
@@ -546,5 +546,5 @@
 $lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Korrigált rendellenesség, már nem lehet figyelmen kívül hagyni';
 $lang['%d anomaly has been ignored.'] = '%d rendellenességet hagytunk figyelmen kívül.';
-$lang['%d anomalies have been ignored.'] = '%d Anomalien ignoriert wurden.';
+$lang['%d anomalies have been ignored.'] = '%d rendellenesség figyelmen kívül hagyva.';
 $lang['Plugins which need upgrade'] = 'Az alábbi bővítményekhez frissítés érhető el';
 $lang['Plugins up to date'] = 'Ezek a bővítmények naprakészek';
@@ -569,5 +569,5 @@
 $lang['Can\'t read or extract archive.'] = 'Nem sikerült olvasni vagy kicsomagolni az Archívumot.';
 $lang['An error occured during extraction (%s).'] = 'Nem sikerült kitömöríteni az Archívumot(%s).';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Nézze meg a "Plugins" mappa és az almappák jogosultságait (CHMOD).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Ellenőrizze a "Plugins" mappa és az almappák jogosultságait (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Nem sikerült csatlakozni a szerverhez.';
 $lang['Purge compiled templates'] = 'Összeállított sablonok törlése';
@@ -620,5 +620,5 @@
 $lang['%d photos were deleted'] = '%d kép törölve';
 $lang['Downloads'] = 'Letöltés';
-$lang['Released on'] = 'Released on';
+$lang['Released on'] = 'Felszabadítva';
 $lang['Number of downloads'] = 'Letöltések száma';
 // --------- Starting below: New or revised $lang ---- from Colibri
@@ -696,5 +696,5 @@
 $lang['unknown'] = 'ismeretlen';
 $lang['Active Themes'] = 'Aktív Téma';
-$lang['Add write access to the "%s" directory'] = 'Adjon írási jogot a(z) "%s" könytárnak';
+$lang['Add write access to the "%s" directory'] = 'Adjon írási jogot a(z) "%s" könyvtárnak';
 $lang['Administration Home'] = 'Adminisztrációs oldal';
 $lang['Categories ordered alphanumerically'] = 'A kategóriák ABC sorrendbe rendezve';