Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 5661)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 5662)
@@ -172,5 +172,4 @@
 $lang['Take selected elements out of caddie'] = 'Kiválasztott elemek kosárból történő eltávolítása';
 $lang['The %d following tags were deleted'] = 'A következő %d címke törölve : %s';
-$lang['Unable to check for upgrade since allow_url_fopen is disabled.'] = 'A frissítés nem sikerült, mivel az allow_url_fopen nincs engedélyezve.';
 $lang['Uninstall'] = 'Eltávolítás';
 $lang['Use the default image sort order (defined in the configuration file)']='Alapértelmezett kép sorrend (konfigurációs fájl definiálás)';
@@ -239,5 +238,4 @@
 $lang['This name is already used by another group.'] = 'Ez a név már használatban van a másik csoportban.';
 $lang['Groups'] = 'Csoportok';
-$lang[''] = '';
 $lang['High definition'] = 'Kiemelt hozzáférés';
 $lang['jump to category'] = 'Kategóriához ugrás';
@@ -661,5 +659,4 @@
 $lang['... or switch to the old style form'] = '... vagy váltson át a hagyományos feltöltésre';
 $lang['... or switch to the multiple files form'] = '... vagy váltson át flash alapú feltöltésre';
-$lang['Browse'] = 'Keres';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Meg kell adni a kép legnagyobb szélességét pixelben %d és %d között';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Meg kell adni a kép legnagyobb magasságát pixelben %d és %d között';
@@ -679,5 +676,4 @@
 $lang['Your configuration settings are saved'] = 'A beállítások mentése sikeres';
 // --------- missing translations ---- from version 2.1.0 RC1
-$lang['Categories sorted in descending order ⇑'] = 'Kategóriák csökkenő sorrendben ⇑';
 $lang['Unable to check for upgrade.'] = 'A frissítés sikertelen.';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Időtúllépés esetén a műveletet folytatni kell [Becsült idő: %d másodperc].';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 5661)
+++ /trunk/language/hu_HU/common.lang.php	(revision 5662)
@@ -370,5 +370,4 @@
 $lang['Email address is missing. Please specify an email address.'] = 'E-mail cím hiányzik. Kérem írja be az e-mail címet.';
 // --------- Starting below: Új vagy javított $lang ---- Tőle: Colibri (2.1.0 RC1)
-$lang['Email address is missing'] = 'E-mail cím hiányzik';
 $lang['Some info about this picture'] = 'Kép információi';
 $lang['Some more (technical) info about this picture'] = 'További (technikai) adatok a képhez';
Index: /trunk/language/hu_HU/install.lang.php
===================================================================
--- /trunk/language/hu_HU/install.lang.php	(revision 5661)
+++ /trunk/language/hu_HU/install.lang.php	(revision 5662)
@@ -56,9 +56,4 @@
 $lang['verification'] = 'jelszó egyezőségének ellenőrzése';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Segítségre van szüksége ? Kérdéseit itt teheti fel: <a href="%s">Piwigo üzenőfal</a>.';
-$lang['The configuration of Piwigo is finished, here is the next step<br><br>
-* go to the identification page and use the login/password given for webmaster<br>
-* this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories'] = 'A Piwigo konfigurálása befejeződött, jöhet a következő lépés:<br><br>
-* menjen a Főoldalra és használja a webmester felhasználónév/jelszó párost. <br>
-* A felhasználónév/jelszó segítségével eléri az adminisztrációs felületet, kövesse az utasításokat és töltse fel képeit a könytárakba';
 $lang['Webmaster mail address'] = 'Webmester email cím';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'A látogatók ezen az email címen tudják felvenni a kapcsolatot az adminisztrátorral';
Index: /trunk/language/hu_HU/upgrade.lang.php
===================================================================
--- /trunk/language/hu_HU/upgrade.lang.php	(revision 5661)
+++ /trunk/language/hu_HU/upgrade.lang.php	(revision 5662)
@@ -23,6 +23,4 @@
 
 $lang['Upgrade'] = 'Frissítés';
-$lang['introduction message'] = 'Ez az oldal felajánlja az adatbázis frissítést, hogy a Piwigo régi és új verziója megfeleljenek egymásnak.
-A frissítő asszisztens megállapította, hogy a jelenlegi verzió: <strong> %s verzió</strong> (vagy azzal egyező).';
 $lang['Upgrade from version %s to %s'] = 'Verziófrissítés %s verzióról %s verzióra';
 $lang['Statistics'] = 'Statisztikák';
@@ -32,8 +30,6 @@
 $lang['Upgrade informations'] = 'Frissítési információk';
 $lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Végezze el a karbantartás ellenőrzést [Adminisztráció>Speciális összetevők>Karbantartás] ha bármilyen problémával találkozna.';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Elővigyázatosságból a bővítmények ki vannak kapcsolva. Újraaktiválás előtt ellenőrizze, hogy a bővítmények kompatibilisek az új verzióval, ill. ellenőrizze, hogy elérhetők-e frissítések:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'A frissítés csak rendszergazda jogosultsággal futtatható, kérjük jelentkezzen be.';
 $lang['You do not have access rights to run upgrade'] = 'Önnek nincs jogosultsága a frissítés elvégzéséhez';
-$lang['in include/mysql.inc.php, before ?>, insert:'] = 'In <i>include/mysql.inc.php</i>, before <b>?></b>, insert:';
 
 // Upgrade informations from upgrade_1.3.1.php