Index: /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 5668)
+++ /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 5668)
@@ -0,0 +1,61 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Üdvözli Önt a NetInstall!';
+$lang['Language'] = 'Nyelv';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Ez az eszköz letölti a legújabb Piwigo archívumot, kicsomagolja és feltölti a tárhelyére.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'A jobb gombra történő kattintást követően átirányítjuk a Piwigo beállítás varázsló oldalára.';
+
+$lang['Write access is needed'] = 'Írási jogosultság szükséges';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Úgy tűnik a NetInstall nem tud írni az aktuális könyvtárba, erre szüksége van a továbbiakban.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Próbálja meg módosítani a jogosultságokat, majd kattintson a Frissítés gombra.';
+$lang['Refresh'] = 'Frissítés';
+
+$lang['PHP 5 is required'] = 'PHP 5 szükséges';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Úgy tűnik, a tárhelyszolgáltatójánál jelenleg PHP %s fut.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'A NetInstall megpróbálhatja bekapcsolni a PHP 5-öt azáltal, hogy létrehoz vagy módosít egy .htaccess fájlt.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Figyelem: Ha meg tudja változtatni a PHP konfigurációt, indítsa újra a NetInstallt.';
+$lang['Try to configure PHP 5'] = 'Próbálja meg beállítani a PHP 5-öt';
+
+$lang['Retrieve and unzip Piwigo'] = 'Piwigo letöltése és kicsomagolása';
+$lang['Destination:'] = 'Cél:';
+
+$lang['Sorry!'] = 'Elnézést!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall nem tudta beállítani a PHP 5-öt.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Lehet, hogy a tárhely szolgáltató támogatja a PHP 5-öt. A bekapcsoláshoz keresse meg őket.";
+$lang['Hope to see you back soon.'] = 'Remélem később viszontlátjuk.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Úgy tűnik, hogy az adott célhelyen még van egy korábbi Piwigo telepítés.';
+$lang['You need to rename or remove it before we can go further...'] = 'Nevezze át vagy távolítsa el a folytatás előtt...';
+$lang['Needed files are not present.'] = 'Nem találom a szükséges fájlokat.';
+$lang['Invalid zip file.'] = 'Érvénytelen zip fájl.';
+$lang['It seems that the zip file was not extracted.'] = 'Úgy tűnik a zip fájlt nem tudom kibontani.';
+
+$lang['Congratulations!'] = 'Gratulálunk!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Minden rendben van. Készen állunk a telepítés indítására.';
+$lang['Install Piwigo now'] = 'Piwigo telepítése';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Hiba történt a szükséges fájlokkal végzett műveletek közben.';
+$lang['Something went wrong...'] = 'Valami rosszul sült el ...';
+$lang['What are you doing here that way ?!'] = 'Mit csinál Ön errefelé ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Ez a betöltő eredetileg a <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a> számára lett kódolva. Köszönjük!';