Index: /extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 5669)
+++ /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 5670)
@@ -1,13 +1,15 @@
 {* $Id: mail_black_liste.tpl 3723 2009-08-07 04:53:38Z rvelices $ *}
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
+{known_script id="jquery" src=$path_js|@cat:"jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$path_js|@cat:"plugins/jquery.cluetip.packed.js"}
 
 <script type="text/javascript">
-jQuery().ready(function(){ldelim}
-  jQuery('.cluetip').cluetip({ldelim}
-    width: 300,
+jQuery().ready(function()
+{ldelim}
+  jQuery('.cluetip').cluetip(
+  {ldelim}
+    width: 550,
     splitTitle: '|'
-  });
-});
+  {rdelim});
+{rdelim});
 </script>
 
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 5669)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 5670)
@@ -60,7 +60,21 @@
   $page['tab'] = $_GET['tab'];
 
- $icon_path = 'template/yoga/icon/help.png';
-
-$tabhelp=  '  <img src="'.PHPWG_ROOT_PATH. $icon_path .'" class="button" alt="(?)"> ';
+if (file_exists ( 'admin/themes/clear/icon/help.png')) 
+{
+//version 2.1
+ 
+   $icon_path = 'themes/default/icon/help.png';
+   $path_js=  'themes/default/js/' ; 
+
+ }
+ else
+ {
+// version 1.9
+  $path_js=  "template-common/lib/";  
+  $icon_path =  "admin/template/goto/theme/clear/icon/help.png";
+}
+ 
+
+$tabhelp=  '  <img src="'.PHPWG_ROOT_PATH. $icon_path .'"  width=10px   alt="(?)"> ';
 
  
@@ -80,6 +94,6 @@
  
 			   			   
-$tabsheet->add('mail_superv_help',$tabhelp
-              ,
+$tabsheet->add('mail_superv_help',
+                $tabhelp,
                $my_base_url.'&amp;tab=mail_superv_help');
 			   
@@ -272,5 +286,6 @@
     'PHPWG_VERSION' =>	 PHPWG_VERSION ,
 	 'version' =>	 $version ,
-	
+	'MAIL_SUPERV_PATH' =>  MAIL_SUPERV_PATH ,
+	'path_js' => $path_js
 		 				)
 				);	
@@ -289,5 +304,4 @@
    
    $mails_données = Get_Datas() ;
-   
    	$group_id = isset($_POST['group']) ? $_POST['group'] :  '-1'  ;
 	if ($group_id >= 0) {
@@ -303,13 +317,76 @@
 		}		
 //================================================
-
-
-	
+// info by email to an access granted group of category informations
+if (isset($_POST['submitEmail']) and !empty($_POST['group']))
+{
+  set_make_full_url();
+  /* TODO: if $category['representative_picture_id'] 
+    is empty find child representative_picture_id */
+/*
+ * send en email to user's group
+ *
+ * @param:
+ *   - group_id: mail are sent to group with this Id
+ *   - email_format: mail format
+ *   - keyargs_subject: mail subject on l10n_args format
+ *   - dirname: short name of directory including template
+ *   - tpl_shortname: short template name without extension
+ *   - assign_vars: array used to assign_vars to mail template
+ *   - language_selected: send mail only to user with this selected language
+ *
+ * @return boolean (Ok or not)
+*/ 
+
+if (function_exists('get_user_language_desc') ) $titre = get_user_language_desc($conf['gallery_title']);
+else
+$titre=$conf['gallery_title'];
+
+$message = empty($_POST['MAIL_CONTENT']) ? $mails_données['message_test'] : stripslashes($_POST['MAIL_CONTENT']);
+
+ if (function_exists('get_user_language_desc') ) $message = get_user_language_desc($message);
+  // TODO Mettre un array pour traduction subjet
+
+  
+  pwg_mail_group(
+    $_POST['group'],
+    get_str_email_format(true),  
+    get_l10n_args('[%s] ---> %s', array($titre,'Information') ), //sujet
+    'cat_group_info',  // template 
+    array
+    (
+      'CPL_CONTENT' => $message."\n\n".$user['username'] 
+    ),
+    '' );
+	
+
+$mails_données['message_test']= str_replace('"',"'",$message) ;
+ unset_make_full_url();
+	sauve_données();
+$mails_données = Get_Datas() ;
+	
+  $query = '
+SELECT
+    name
+  FROM '.GROUPS_TABLE.'
+  WHERE id = '.$_POST['group'].'
+;';
+  list($group_name) = mysql_fetch_row(pwg_query($query));
+  
+  array_push(
+    $page['infos'],
+    sprintf(
+      l10n('An information email was sent to group "%s"'),
+      $group_name
+      )
+    );
+}  
+ load_language('plugin.lang', MAIL_SUPERV_PATH);
+//=====================================================================================
 if ( isset($_POST['test_envoie']) ) {
-	
-		$mails_données['message_test'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message_test']  ;
+$mails_données['message_test'] = empty($_POST['MAIL_CONTENT']) ? '' : stripslashes($_POST['MAIL_CONTENT']);
 		$message=$mails_données['message_test'];
+//test_envoie($message,$group_name,$group_id); 
 		sauve_données();
-	 	test_envoie($message,$group_name,$group_id);   
+  
 		$mails_données = Get_Datas() ;
 		
@@ -347,4 +424,6 @@
 				'liste' => $destinataires ,
  'version' =>	 $version ,
+			    'MAIL_CONTENT' => $mails_données['message_test'],
+	            'path_js' => $path_js
 		 				)
 				);	
@@ -352,4 +431,17 @@
    	$template->set_filenames(array('plugin_admin_content' => realpath(MAIL_SUPERV_PATH . 'admin/mail_superv_test.tpl')));
 		$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+		
+		  $toolbar = 'Basic';
+  $width = '750px';
+  $height = '200px';
+  $areas = array();
+  $areas[]='MAIL_CONTENT';
+ //  $areas[]= 'MAIL_CONTENT';
+ if (!empty($areas))
+  {
+  if (function_exists('set_fckeditor_instance'))
+    set_fckeditor_instance($areas, $toolbar, $width, $height);
+  }
+  
    break;
 // *************************************************************************
@@ -435,5 +527,5 @@
 						'champs_bl' =>  $champs_bl 	 ,	
 						'liste_bl' => $liste_bl ,
-                 		'conf_admin_layout' => $conf['admin_layout'] ,
+                 		//'conf_admin_layout' => $conf['admin_layout'] ,
 						'istype' => $istype ,
 						'ip_black' => $ip_black ,
@@ -441,5 +533,5 @@
 						'ip_black_len' =>  strlen($ip_black)  ,
 						'MAIL_SUPERV_PATH' => MAIL_SUPERV_PATH ,
-
+	                    'path_js' => $path_js ,
 						'F_ACTION' => $f_action ,
 						
@@ -474,4 +566,6 @@
 					'smile_bonjour' => $smile_bonjour ,
 					 'version' =>	 $version ,
+					 'MAIL_SUPERV_PATH' =>  MAIL_SUPERV_PATH ,
+	                 'path_js' => $path_js
 					)
 			);		
@@ -486,4 +580,5 @@
 //================================================================================
 
+	   
 
 	if  ( $mails_données['reste'] < 0 ) {
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 5669)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 5670)
@@ -1,5 +1,4 @@
-{* $Id: mail_black_liste.tpl 3723 2009-08-07 04:53:38Z rvelices $ *}
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
+{known_script id="jquery" src= $ROOT_URL|@cat:$path_js|@cat:"jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:$path_js|@cat:"plugins/jquery.cluetip.packed.js"}
 
 <script type="text/javascript">
Index: /extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 5669)
+++ /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 5670)
@@ -1,2 +1,3 @@
+{known_script id="my_script" src= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js"}
 <div class="instructions" >
 <h2>{'Sv_Tab_help'|translate}{'Sv_version'|translate}{$version}</h2>
Index: /extensions/Mail_supervisor/admin/mail_superv_test.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 5669)
+++ /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 5670)
@@ -21,5 +21,4 @@
 	 {$liste}
 	 </td>
-	 
     </tr>
 
@@ -27,5 +26,5 @@
       <td><strong>{'Sv_mail_content'|@translate}</strong></td>
       <td>
-        <textarea cols="50" rows="5" name="content" id="mail_content" class="description">{$message_test}</textarea>
+<textarea name="MAIL_CONTENT" id="MAIL_CONTENT" class="description">{$MAIL_CONTENT}</textarea>
       </td>
     </tr>
@@ -36,7 +35,5 @@
 	  <input class="submit" type="submit" name="raffraichir" value="{'Sv_refresh'|translate}" />
 	  <input class="submit" type="submit" name="test_envoie" value="{'Sv_Test'|translate}" />
-	  
-	
-	  
+	<input class="submit" type="submit" value="{'Submit'|@translate}" name="submitEmail" {$tag_input_enabled}/>
 	  </p> 
 </fieldset>
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 5669)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 5670)
@@ -63,4 +63,6 @@
 	   
 		$valeurs = implode( ',',$mails_options);
+ 
+		
 		$query = '
     		UPDATE '.CONFIG_TABLE.'
@@ -92,4 +94,5 @@
 	    array_push($valeurs , "`".$champ."`" . ' = ' .  "0"  )  ;
 	 }
+	 
     }
 $valeurs = implode(", ",$valeurs) ;
Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 5669)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 5670)
@@ -65,5 +65,4 @@
 $groups=get_liste($group_id);
 
- 
 //=======================================================================================
   if (count($groups) > 0)
@@ -74,6 +73,6 @@
    } 
    
-	$args['from'] = $conf_mail['formated_email_webmaster'];
-
+$args['from'] =(function_exists('get_user_language_desc')) ? get_user_language_desc($conf_mail['formated_email_webmaster']):$conf_mail['formated_email_webmaster'];
+$message_html =$message;
       if (function_exists('get_user_language_desc') and isset($message) and $message <> '')
         $message = get_user_language_desc($message)."\n\n";
@@ -88,5 +87,5 @@
         );	
  	//==================================================================
-	$message_html = $message_texte;
+	$message_html .= "</br>" . $message . "</br>" . $message_texte;
 
 	
@@ -223,9 +222,7 @@
    }
 
-   
     return  $ret;
   
 }
 
- 
 ?>
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 5669)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 5670)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.3.7
+Version: 1.4.0
 Description: Mail supervisor surveille l'envoie des mails.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315